 ------------------------------------------------------------------------
--  MODULE: Heretic Resource Pack
------------------------------------------------------------------------

-------------------------------------------------------------------

HEATHEN_RESOURCE_PACK = {}

HEATHEN_RESOURCE_PACK.ENTITIES =
{
garden_tree_1 = { id=57, r=20, h=90 },
garden_tree_2 = { id=58, r=20, h=90},
garden_tree_3 = { id=59, r=24, h=30},
garden_tree_4 = { id=60, r=16, h=30},
garden_tree_5 = { id=61, r=16, h=30},

maw_tree_1 = { id=62, r=30, h=100},
maw_tree_2 = { id=63, r=20, h=90},
maw_tree_3 = { id=67, r=20, h=90},

dome_ice_1 = { id=71, r=20, h=90},
dome_ice_2 = { id=72, r=20, h=90},
dsparil_banner = { id=10302, r=16, h=100},
dsparil_statue = { id=10301, r=16, h=100},

dome_pillar1 = { id=10303, r=10, h=165},
dome_pillar2 = { id=10304, r=10, h=85},
dome_pillar3 = { id=10305, r=10, h=45},
dome_pillar4 = { id=10306, r=18, h=32},
dome_pillar5 = { id=10307, r=18, h=32},

demense_tree_1 = { id=98, r=30, h=100},
demense_tree_2 = { id=99, r=30, h=100},
demense_tree_3 = { id=100, r=30, h=100},
demense_tree_4 = { id=101, r=30, h=100},
demense_tree_5 = { id=102, r=16, h=30},
demense_tree_6 = { id=103, r=16, h=30},

heretical_brass_torch = { id=10308, r=8, h=40, light=255 },
heretical_ceiling_brazier = { id=14829, r=25, h=85, light=255, pass=true, ceil=true, add_mode="island" },
heretical_snake_pillar = { id=14830, r=25, h=95, light=255 },
heretical_candle_torch = { id=14831, r=12, h=60, light=255 },
heretical_small_candle = { id=77, r=4, h=4},

big_purpleshroom = { id=14825, r=12, h=165},
large_purpleshroom = { id=14826, r=12, h=70},
medium_purpleshroom = { id=14827, r=12, h=50},
small_purpleshroom = { id=14828, r=6, h=23},

tombstone_1 = { id=105, r=15, h=68},
tombstone_2 = { id=106, r=15, h=62},
tombstone_3 = { id=107, r=15, h=48},
tombstone_4 = { id=108, r=15, h=43},
tombstone_5 = { id=109, r=15, h=35},

dead_elf = { id=78, r=5, h=5},
dead_elf2 = { id=10309, r=5, h=5},
elf_bones = { id=10414, r=5, h=5},
mutilated_elf = { id=91, r=5, h=5},
elf_gibs1 = { id=110, r=5, h=5},
elf_gibs2 = { id=111, r=5, h=5},
elf_gibs3 = { id=112, r=5, h=5},

impaled_elf_1 = { id=88, r=16, h=64},
impaled_elf_2 = { id=89, r=16, h=64},
decapitated_elf_1 = { id=93, r=16, h=64},
decapitated_elf_2 = { id=97, r=16, h=64},
burning_witch = { id=104, r=8, h=100, light=255 },
}

HEATHEN_RESOURCE_PACK.BRIGHTMAPS =
[[
pointlight HCAND1
{
    color 1.0 1.0 0.3
    size 24
}

pointlight HCAND2
{
    color 1.0 1.0 0.3
    size 23
}

object RavenCandle
{
    frame TST4A { light HCAND1 }
    frame TST4B { light HCAND2 }
}

flickerlight2 ZCorpseBurning1
{
	COLOR 1.0 0.7 0.1
	Size 24
	SecondarySize 48
	Interval 0.01
}

Object ZCorpseBurning
{
	Frame WBRN
	{
		light ZCorpseBurning1
	}
}

flickerlight2 DSPARILSTATUEBLUE
{
    color 0.4 0.4 1.0
    size 64
    secondarySize 68
    interval 0.1
    offset 0 104 0
}

object DSparilStatueBlue
{
    frame STAB { light DSPARILSTATUEBLUE }
}

flickerlight2 HERETICBRASSTORCH
{
    attenuate 1
	color 1.0 0.7 0.0
    size 60
    secondarysize 72
    interval 0.1
    offset 0 32 0
}

object HereticBrassTorch
{
    frame BRTR { light HERETICBRASSTORCH }
}

flickerlight CEILINGBRAZIER
{
	color 0.8 0.6 0.0
	size 68
	secondarySize 76
	chance 0.6
	offset 0 32 0
}

Object CeilingBrazier
{
	frame CBRA { light CEILINGBRAZIER }
}

flickerlight PillarLight
{
	COLOR 1 0.9 .3
	size 48
	secondarySize 56
	chance 0.5
}

Object SerpentFire
{
	Frame KGFR { light PillarLight }
}

flickerlight2 CANDTORCH
{
    color 1.0 0.8 0.0
    size 72
    secondarySize 88
    interval 0.1
    offset 0 48 0
	attenuate 1
}

object HereticCandleTorch
{
    frame FCND { light CANDTORCH }
}
]]

HEATHEN_RESOURCE_PACK.DECORATE =
[[
ACTOR RavenCandle 77
{
	Radius 20
	Height 14
	ProjectilePassHeight -16
	Scale 0.7
	States
	{
	Spawn:
		TST4 AB 4 BRIGHT
		loop
	}
}

actor HexenDeadBody 78
{
	States
	{
	Spawn:
		CPS2 A -1
		Stop
	}
}

actor HexenDeaderBody 10309
{
	States
	{
	Spawn:
		CPS6 A -1
		Stop
	}
}

actor HereticGoredBody 91
{
	States
	{
	Spawn:
		CPS2 B -1
		Stop
	}
}

actor HereticDeadGore1 110
{
	States
	{
	Spawn:
		CPS2 C -1
		Stop
	}
}

actor HereticDeadGore2 111
{
	States
	{
	Spawn:
		CPS2 D -1
		Stop
	}
}

actor HereticDeadGore3 112
{
	States
	{
	Spawn:
		CPS2 E -1
		Stop
	}
}

ACTOR HexenImpaledBody1 88
{
	Radius 16
	Height 64
	ProjectilePassHeight -16
	+SOLID
	+USESPECIAL
	States
	{
	Spawn:
		CPS1 A -1
		Stop
	}
}

ACTOR HexenImpaledBody2 89
{
	Radius 16
	Height 64
	ProjectilePassHeight -16
	+SOLID
	+USESPECIAL
	States
	{
	Spawn:
		CPS1 B -1
		Stop
	}
}

ACTOR HexenImpaledHead1 93
{
	Radius 16
	Height 64
	ProjectilePassHeight -16
	+SOLID
	+USESPECIAL
	States
	{
	Spawn:
		CPS1 C -1
		Stop
	}
}

ACTOR HexenImpaledHead2 97
{
	Radius 16
	Height 64
	ProjectilePassHeight -16
	+SOLID
	+USESPECIAL
	States
	{
	Spawn:
		CPS1 D -1
		Stop
	}
}

Actor ZCorpseBurning 104
{
	+SOLID
	Radius 8
	Height 100

	States
	{
	Spawn:
		WBRN ABCDEFG 4 Bright
		Loop
	}
}

ACTOR HereticBrassTorch 10308
{
	Radius 6
	Height 35
	+SOLID
	States
	{
	Spawn:
		BRTR ABCDEFGHIJKLM 4 Bright
		Loop
	}
}

Actor NTomb1 105
{
Radius 15
Height 68
+SOLID
States
{
Spawn:
	NTOM A -1
	Stop
}
}

Actor NTomb2 106
{
Radius 15
Height 62
+SOLID
States
{
Spawn:
	NTOM B -1
	Stop
}
}

Actor NTomb3 107
{
Radius 15
Height 48
+SOLID
States
{
Spawn:
	NTOM C -1
	Stop
}
}

Actor NTomb4 108
{
Radius 15
Height 43
+SOLID
States
{
Spawn:
	NTOM D -1
	Stop
}
}

Actor NTomb5 109
{
Radius 12
Height 35
+SOLID
States
{
Spawn:
	NTOM E -1
	Stop
}
}

Actor Gardentree1 57
{
  Radius 20
  Height 90
  +Solid 
  States
  {
  Spawn:
    PL4N A -1
    Stop
  }
}

Actor Gardentree2 58
{
  Radius 20
  Height 90
  +Solid
  States
  {
  Spawn:
    PL4N B -1
    Stop
  }
}

Actor Gardenbush1 59
{
  Radius 24
  Height 30
  +Solid
  States
  {
  Spawn:
    PL4N C -1
    Stop
  }
}

Actor Gardenbush2 60
{
  Radius 16
  Height 30
  +Solid
  States
  {
  Spawn:
    PL4N D -1
    Stop
  }
}

Actor Gardenbush3 61
{
  Radius 16
  Height 30
  +Solid
  States
  {
  Spawn:
    PL4N E -1
    Stop
  }
}

Actor Demensetree1 98
{
  Radius 30
  Height 100
	+SOLID
	States
	{
		Spawn:
			PL4N K -1
			Stop
	}
}

Actor Demensetree2 99
{
  Radius 30
  Height 100
	+SOLID
	States
	{
		Spawn:
			PL4N L -1
			Stop
	}
}

Actor Demensetree3 100
{
  Radius 30
  Height 100
	+SOLID
	States
	{
		Spawn:
			PL4N M -1
			Stop
	}
}

Actor Demensetree4 101
{
  Radius 30
  Height 100
	+SOLID
	States
	{
		Spawn:
			PL4N N -1
			Stop
	}
}

Actor DemenseTrunk1 102
{
  Radius 16
  Height 30
  +Solid
  States
  {
  Spawn:
    PL4N O -1
    Stop
  }
}

Actor DemenseTrunk2 103
{
  Radius 16
  Height 30
  +Solid
  States
  {
  Spawn:
    PL4N P -1
    Stop
  }
}

ACTOR GiantMushroomPurple 14825
{
	//$Title Giant Mushroom Tree Purple
	//$Category Obstacles/Mushrooms/Purple
	//$IsDecoration
	//$NotAngled

	Radius 10
	Height 160

	+SOLID
	
	States
	{
		Spawn:
			MUSG F -1
			Stop
	}
}

ACTOR LargeMushroomPurple 14826
{
	//$Title Large Mushroom Purple
	//$Category Obstacles/Mushrooms/Purple
	//$IsDecoration
	//$NotAngled

	Radius 10
	Height 64

	+SOLID
	
	States
	{
		Spawn: 
			MUSB F -1
			Stop
	}
}

ACTOR MediumMushroomPurple 14827
{
	//$Title Medium Mushroom Purple
	//$Category Obstacles/Mushrooms/Purple
	//$IsDecoration
	//$NotAngled

	Radius 10
	Height 48

	+SOLID
	
	States
	{
		Spawn: 
			MUSM F -1
			Stop
	}
}

ACTOR SmallMushroomPurple 14828
{
	//$Title Small Mushroom Purple
	//$Category Obstacles/Mushrooms/Purple
	//$IsDecoration
	//$NotAngled

	Radius 4
	Height 20
	
	+SOLID
	
	States
	{
		Spawn:
			MUSS F -1
			Stop
	}
}

Actor Mawtree1 62
{
  Radius 30
  Height 100
	+SOLID
	States
	{
		Spawn:
			PL4N F -1
			Stop
	}
}

Actor Mawtree2 63
{
  Radius 20
  Height 90
	+SOLID
	States
	{
		Spawn:
			PL4N G -1
			Stop
	}
}

Actor Mawtree3 67
{
  Radius 20
  Height 90
	+SOLID
	States
	{
		Spawn:
			PL4N H -1
			Stop
	}
}

Actor Domeice1 71
{
  Radius 20
  Height 90
	+SOLID
	States
	{
		Spawn:
			PL4N I -1
			Stop
	}
}

Actor Domeice2 72
{
  Radius 20
  Height 90
	+SOLID
	States
	{
		Spawn:
			PL4N J -1
			Stop
	}
}

actor DsparilBanner 10302
{
	+SOLID
	radius 8
	height 132
	states
	{
	spawn:
		BNR2 D -1
		Stop
	}
}

ACTOR DSparilStatueBlue 10301
{
	//$Title D'Sparil Statue Blue Flame
	//$Category Obstacles
	//$IsDecoration
	//$NotAngled

	Radius 14
	Height 96
	Scale 0.9

	+SOLID

		States
		{
			Spawn:
				STAB ABC 6 Bright
				Loop
		}
}

Actor DomePillar1 10303
{
  Radius 8
  Height 160
	+SOLID
	States
	{
		Spawn:
			CLMN A -1
			Stop
	}
}

Actor DomePillar2 10304
{
  Radius 8
  Height 80
	+SOLID
	States
	{
		Spawn:
			CLMN B -1
			Stop
	}
}

Actor DomePillar3 10305
{
  Radius 8
  Height 40
	+SOLID
	States
	{
		Spawn:
			CLMN D -1
			Stop
	}
}

Actor DomePillar4 10306
{
  Radius 16
  Height 30
	+SOLID
	States
	{
		Spawn:
			CLMN F -1
			Stop
	}
}

Actor DomePillar5 10307
{
  Radius 16
  Height 30
	+SOLID
	States
	{
		Spawn:
			CLMN G -1
			Stop
	}
}

Actor CeilingBrazier 14829
{
Radius 20
Height 60
+SOLID
+NOGRAVITY
+SPAWNCEILING
+BRIGHT
States
{
Spawn:
	CBRA ABCDEFGH 3
	Loop
}
}

ACTOR SerpentFire 14830
{
	Radius 16
	Height 44
	+SOLID
	States
	{
	Spawn:
		KGFR ABCDEFGH 3 Bright
		Loop
	}
}

ACTOR HereticCandleTorch 14831
{
	Game Heretic
	Radius 12
	Height 54
	Scale 0.9
	+SOLID
	States
	{
	Spawn:
		FCND ABC 4
		Loop
	}
}

ACTOR ElfBonePile 10414
{
	Scale 0.5
	-SOLID
		States
		{
			Spawn:
				SBON E -1
				Stop
		}
}

ACTOR CoinSplashBase
{
	+NOBLOCKMAP
	+NOCLIP
	+NOGRAVITY
	+DONTSPLASH
	+DONTBLAST
	States
	{
	Spawn:
		C07N XYZ  6
		Stop
	}
}

ACTOR CoinSplash
{
	Radius 2
	Height 4
	+NOBLOCKMAP 
	+MISSILE 
	+DROPOFF
	+NOTELEPORT
	+LOWGRAVITY
	+CANNOTPUSH
	+DONTSPLASH
	+DONTBLAST
	States
	{
	Spawn:
		C01N ZZZ 8
		C01N Z 16
		Stop
	Death:
		C01N Z 10
		Stop
	}
}

ACTOR MukSplashBase
{
	+NOBLOCKMAP
	+NOCLIP
	+NOGRAVITY
	+DONTSPLASH
	+DONTBLAST
	States
	{
	Spawn:
		MUKH EFGHIJK 5
		Stop
	}
}

ACTOR MukSplash
{
	Radius 2
	Height 4
	+NOBLOCKMAP 
	+MISSILE 
	+DROPOFF
	+NOTELEPORT
	+LOWGRAVITY
	+CANNOTPUSH
	+DONTSPLASH
	+DONTBLAST
	States
	{
	Spawn:
		MUKH ABC 8
		MUKH D 16
		Stop
	Death:
		MUKH D 10
		Stop
	}
}
]]

HEATHEN_RESOURCE_PACK.TERRAIN =
[[

splash Lava
{
   smallclass      LavaSplash
   smallclip      12
   smallsound      world/sludgegloop

   baseclass      LavaSplash
   chunkclass      LavaSmoke
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

splash Sludge
{
   smallclass      SludgeSplash
   smallclip      12
   smallsound      world/sludgegloop

   baseclass      SludgeSplash
   chunkclass      SludgeChunk
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

splash Water
{
   smallclass      WaterSplashBase
   smallclip      12
   smallsound      world/sludgegloop

   baseclass      WaterSplashBase
   chunkclass      WaterSplash
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

splash Dorado
{
   smallclass      CoinSplashBase
   smallclip      12
   smallsound      world/sludgegloop
   
   baseclass      CoinSplashBase
   chunkclass      CoinSplash
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

splash Muk
{
   smallclass      MukSplashBase
   smallclip      12
   smallsound      world/sludgegloop

   baseclass      MukSplashBase
   chunkclass      MukSplash
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

splash Blood
{
   smallclass      BloodSplashBase
   smallclip      12
   smallsound      world/sludgegloop

   baseclass      BloodSplashBase
   chunkclass      BloodSplash
   chunkxvelshift   8
   chunkyvelshift   8
   chunkzvelshift   8
   chunkbasezvel   1
   sound         world/sludgegloop
   noalert
}

terrain Lava
{
	splash			Lava
	footclip		10
	liquid
}

terrain Dorado
{
	splash			Dorado
	footclip		5
}

terrain Muk
{
	splash			Muk
	friction        0.7
	footclip		10
}

terrain Sludge
{
	splash			Sludge
	footclip		10
	liquid
}
terrain Water
{
	splash			Water
	footclip		10
	liquid
}

terrain Blood
{
	splash			Blood
	footclip		10
	liquid
}

terrain Ice
{
	friction 1.70824008138
	damagetype ice
}

terrain Cobweb
{
	friction 0.7
	footclip		5
}

floor FSPIW Cobweb
floor FWATER1 Water
floor BLUSLUD1 Water
floor WSKULLIE Water
floor FLATBLU1 Water
floor BLOOD1 Blood
floor BADBLUD1 Blood
floor WSKULLIQ Blood
floor NUKAGE1 Sludge
floor SLIME01 Sludge
floor SLIME05 Sludge
floor LAVA1 Lava
floor GOLD01 Dorado
floor MUCK1 Muk
floor RUNBLUD1 Blood
floor FLAT517 Ice
floor FRZFLAT Ice
]]

HEATHEN_RESOURCE_PACK.LIQUIDS =
{
  bluslud  = { mat="BLUSLUD1", light_add=16, special=0 },
  blood = { mat="BLOOD1", light_add=16, special=0 },
  badblud = { mat="BADBLUD1", light_add=16, special=16, damage=20 },
  redsoul   = { mat="WSKULLIQ", light_add=16, special=16, damage=20 },
  blusoul  = { mat="WSKULLIE", light_add=16, special=16, damage=20 },
  bluemag  = { mat="FLATBLU1", light_add=16, special=16, damage=20 },
  swamp1 = { mat="SLIME01", light_add=16, special=0 },
  swamp2 = { mat="SLIME05", light_add=16, special=0 },
  muck = { mat="MUCK1", light_add=16, special=16, damage=20 },
  styx = { mat="RUNBLUD1", light_add=16, special=0 },
  eldorado = { mat="GOLD01", light_add=32, special=0 },
}

HEATHEN_RESOURCE_PACK.MATERIALS =
{
  _ERROR   = { t="METAL",  f="FLAT5_1" },
  _DEFAULT = { t="GRAY1",  f="FLAT1" },
  _SKY     = { t="METAL",  f="F_SKY1" },

  METAL = { t="METAL", f="CEIL5_2" },

  SUPPORT2 = { t="SUPPORT2", f="FLAT23" },
  SUPPORT3 = { t="SUPPORT3", f="CEIL5_2" },

  BIGDOOR1 = { t="BIGDOOR1", f="FLAT19" },
  BIGDOOR2 = { t="BIGDOOR2", f="FLAT20" },
  BIGDOOR3 = { t="BIGDOOR3", f="FLOOR7_2" },
  BIGDOOR4 = { t="BIGDOOR4", f="CEIL5_1" },
  BIGDOOR5 = { t="BIGDOOR5", f="CEIL5_2" },
  BIGDOOR6 = { t="BIGDOOR6", f="CEIL5_2" },
  BIGDOOR7 = { t="BIGDOOR7", f="CEIL5_2" },

  BROWN1   = { t="BROWN1",   f="FLOOR0_1" },
  BROWN144 = { t="BROWN144", f="FLOOR7_1" },
  BROWN96  = { t="BROWN96",  f="FLOOR7_1" },
  BROWNGRN = { t="BROWNGRN", f="FLOOR7_1" },
  BROWNHUG = { t="BROWNHUG", f="FLOOR7_1" },
  BROWNPIP = { t="BROWNPIP", f="FLOOR0_1" },
  BROVINE2 = { t="BROVINE2", f="FLOOR7_1" },
  BRNPOIS  = { t="BRNPOIS",  f="FLOOR7_1" },

  COMPBLUE = { t="COMPBLUE", f="FLAT14" },
  COMPSPAN = { t="COMPSPAN", f="CEIL5_1" },
  COMPSTA1 = { t="COMPSTA1", f="FLAT23" },
  COMPSTA2 = { t="COMPSTA2", f="FLAT23" },
  COMPTALL = { t="COMPTALL", f="CEIL5_1" },
  COMPWERD = { t="COMPWERD", f="CEIL5_1" },

  CRATE1   = { t="CRATE1",   f="CRATOP2"  },
  CRATE2   = { t="CRATE2",   f="CRATOP1"  },
  CRATELIT = { t="CRATELIT", f="CRATOP1"  },
  CRATINY  = { t="CRATINY",  f="CRATOP1"  },
  CRATWIDE = { t="CRATWIDE", f="CRATOP1"  },

  -- keep locked doors recognisable
  DOORBLU  = { t="DOORBLU",  f="FLAT23",  sane=1 },
  DOORRED  = { t="DOORRED",  f="FLAT23",  sane=1 },
  DOORYEL  = { t="DOORYEL",  f="FLAT23",  sane=1 },
  DOORBLU2 = { t="DOORBLU2", f="CRATOP2", sane=1 },
  DOORRED2 = { t="DOORRED2", f="CRATOP2", sane=1 },
  DOORYEL2 = { t="DOORYEL2", f="CRATOP2", sane=1 },

  DOOR1    = { t="DOOR1",    f="FLAT23" },
  DOOR3    = { t="DOOR3",    f="FLAT23" },
  DOORSTOP = { t="DOORSTOP", f="FLAT23" },
  DOORTRAK = { t="DOORTRAK", f="FLAT23" },


  DOOREXI2 = { t="DOOREXI2", f="FLAT520" },
  DOOREXI3 = { t="DOOREXI3", f="FLAT520" },
  DOOREXI5 = { t="DOOREXI5", f="FLAT520" },
  DOOREXI6 = { t="DOOREXI6", f="FLAT520" },

  EXITDOOR = { t="EXITDOOR", f="FLAT5_5", sane=1 },
  EXITDOR2 = { t="EXITDOR2", f="FLAT5_5", sane=1 },
  EXITDOR3 = { t="EXITDOR3", f="FLAT5_5", sane=1 },
  EXITDOR4 = { t="EXITDOR4", f="FLAT5_5", sane=1 },
  EXITDOR5 = { t="EXITDOR5", f="FLAT5_5", sane=1 },
  EXITSIGN = { t="EXITSIGN", f="CEIL5_1", sane=1 },
  EXITSTON = { t="EXITSTON", f="MFLR8_1" },

  -- these three are animated
  FIREBLU1 = { t="FIREBLU1", f="FLATBLU1" },
  FIREBLU2 = { t="FIREBLU2", f="FLATBLU2" },
  FLATBLU1 = { t="FIREBLU1", f="FLATBLU1" },
  FLATBLU2 = { t="FIREBLU2", f="FLATBLU2" },
  FIRELAVA = { t="FIRELAVA", f="FLOOR6_1" },
  FIREWALL = { t="FIREWALL", f="FLAT5_3" },

  GRAY1    = { t="GRAY1",    f="FLAT18" },
  GRAY2    = { t="GRAY2",    f="FLAT18" },
  GRAY4    = { t="GRAY4",    f="FLAT18" },
  GRAY5    = { t="GRAY5",    f="FLAT18" },
  GRAY7    = { t="GRAY7",    f="FLAT18" },
  GRAYBIG  = { t="GRAYBIG",  f="FLAT18" },
  GRAYPOIS = { t="GRAYPOIS", f="FLAT18" },
  GRAYTALL = { t="GRAYTALL", f="FLAT18" },
  GRAYVINE = { t="GRAYVINE", f="FLAT1" },

  GSTFONT1 = { t="GSTFONT1", f="FLOOR7_2"  },
  GSTGARG  = { t="GSTGARG",  f="FLOOR7_2"  },
  GSTLION  = { t="GSTLION",  f="FLOOR7_2"  },
  GSTONE1  = { t="GSTONE1",  f="FLOOR7_2"  },
  GSTONE2  = { t="GSTONE2",  f="FLOOR7_2"  },
  GSTSATYR = { t="GSTSATYR", f="FLOOR7_2"  },
  GSTVINE2 = { t="GSTVINE2", f="FLOOR7_2"  },

  ICKWALL1 = { t="ICKWALL1", f="FLAT19"  },
  ICKWALL2 = { t="ICKWALL2", f="FLAT19"  },
  ICKWALL3 = { t="ICKWALL3", f="FLAT19"  },
  ICKWALL4 = { t="ICKWALL4", f="FLAT19"  },
  ICKWALL5 = { t="ICKWALL5", f="FLAT19"  },
  ICKWALL7 = { t="ICKWALL7", f="FLAT19"  },

  LITE2    = { t="LITE2",    f="FLAT19" },
  LITE3    = { t="LITE3",    f="FLAT19" },
  LITE4    = { t="LITE4",    f="FLAT19" },
  LITE5    = { t="LITE5",    f="FLAT19" },
  LITEBLU1 = { t="LITEBLU1", f="FLAT23" },
  LITEBLU2 = { t="LITEBLU2", f="FLAT23" },
  LITEBLU3 = { t="LITEBLU3", f="FLAT23" },
  LITEBLU4 = { t="LITEBLU4", f="FLAT1"  },

  MARBLE1  = { t="MARBLE1",  f="FLOOR7_2" },
  MARBLE2  = { t="MARBLE2",  f="FLOOR7_2" },
  MARBLE3  = { t="MARBLE3",  f="FLOOR7_2" },
  MARBFACE = { t="MARBFACE", f="FLOOR7_2" },
  MARBFAC2 = { t="MARBFAC2", f="FLOOR7_2" },
  MARBFAC3 = { t="MARBFAC3", f="FLOOR7_2" },
  MARBLOD1 = { t="MARBLOD1", f="FLOOR7_2" },

  METAL1   = { t="METAL1",   f="FLOOR4_8" },
  NUKE24   = { t="NUKE24",   f="FLOOR7_1" },
  NUKEDGE1 = { t="NUKEDGE1", f="FLOOR7_1" },
  NUKEPOIS = { t="NUKEPOIS", f="FLOOR7_1" },

  PIPE1    = { t="PIPE1",    f="FLOOR4_5" },
  PIPE2    = { t="PIPE2",    f="FLOOR4_5" },
  PIPE4    = { t="PIPE4",    f="FLOOR4_5" },
  PIPE6    = { t="PIPE6",    f="FLOOR4_5" },
  PLAT1    = { t="PLAT1",    f="FLAT4" },
  REDWALL  = { t="REDWALL",  f="FLAT5_3" },
  ROCKRED1 = { t="ROCKRED1", f="FLOOR6_1" },

  SHAWN1   = { t="SHAWN1",   f="FLAT23" },
  SHAWN2   = { t="SHAWN2",   f="FLAT23" },
  SHAWN3   = { t="SHAWN3",   f="FLAT23" },

  SKIN2    = { t="SKIN2",    f="SFLR6_4" },
  SKINCUT  = { t="SKINCUT",  f="CEIL5_2" },
  SKINEDGE = { t="SKINEDGE", f="SFLR6_4" },
  SKINFACE = { t="SKINFACE", f="SFLR6_4" },
  SKINLOW  = { t="SKINLOW",  f="FLAT5_2" },
  SKINMET1 = { t="SKINMET1", f="CEIL5_2" },
  SKINMET2 = { t="SKINMET2", f="CEIL5_2" },
  SKINSCAB = { t="SKINSCAB", f="CEIL5_2" },
  SKINSYMB = { t="SKINSYMB", f="CEIL5_2" },
  SKSNAKE1 = { t="SKSNAKE1", f="SFLR6_1" },
  SKSNAKE2 = { t="SKSNAKE2", f="SFLR6_4" },
  SKSPINE1 = { t="SKSPINE1", f="FLAT5_6" },
  SKSPINE2 = { t="SKSPINE2", f="FLAT5_6" },

  SLADPOIS = { t="SLADPOIS", f="FLOOR7_1" },
  SLADSKUL = { t="SLADSKUL", f="FLOOR7_1" },
  SLADWALL = { t="SLADWALL", f="FLOOR7_1" },

  SP_DUDE1 = { t="SP_DUDE1", f="DEM1_5" },
  SP_DUDE2 = { t="SP_DUDE2", f="DEM1_5" },
  SP_DUDE4 = { t="SP_DUDE4", f="DEM1_5" },
  SP_DUDE5 = { t="SP_DUDE5", f="DEM1_5" },
  SP_FACE1 = { t="SP_FACE1", f="CRATOP2" },
  SP_HOT1  = { t="SP_HOT1",  f="FLAT5_3" },
  SP_ROCK1 = { t="SP_ROCK1", f="MFLR8_3" },

  STARBR2  = { t="STARBR2",  f="FLOOR0_2" },
  STARG1   = { t="STARG1",   f="FLAT23" },
  STARG2   = { t="STARG2",   f="FLAT23" },
  STARG3   = { t="STARG3",   f="FLAT23" },
  STARGR1  = { t="STARGR1",  f="FLAT3" },
  STARGR2  = { t="STARGR2",  f="FLAT3" },
  STARTAN1 = { t="STARTAN1", f="FLOOR4_1" },
  STARTAN2 = { t="STARTAN2", f="FLOOR4_1" },
  STARTAN3 = { t="STARTAN3", f="FLOOR4_5" },
  STARBLU1 = { t="STARBLU1", f="FLAT5_8" },
  STARBLU2 = { t="STARBLU2", f="FLAT5_8" },

  STONE    = { t="STONE",  f="FLAT5_4" },
  STONE2   = { t="STONE2", f="MFLR8_1" },
  STONE3   = { t="STONE3", f="MFLR8_1" },

  SKY1     = { t="SKY1", f="FLAT1", sane=1 },
  SKY2     = { t="SKY2", f="FLAT1", sane=1 },
  SKY3     = { t="SKY3", f="FLAT1", sane=1 },

  TEKWALL1 = { t="TEKWALL1",  f="CEIL5_1" },
  TEKWALL4 = { t="TEKWALL4",  f="CEIL5_1" },

  WOOD1    = { t="WOOD1",     f="FLAT5_2" },
  WOOD3    = { t="WOOD3",     f="FLAT5_1" },
  WOOD4    = { t="WOOD4",     f="FLAT5_2" },
  WOOD5    = { t="WOOD5",     f="CEIL5_2" },
  WOODGARG = { t="WOODGARG",  f="FLAT5_2" },


  -- steps --

  -- keep these sane because they are short (won't tile vertically)
  STEP1    = { t="STEP1",    f="FLOOR7_1", sane=1 },
  STEP2    = { t="STEP2",    f="FLOOR4_6", sane=1 },
  STEP3    = { t="STEP3",    f="CEIL5_1",  sane=1 },
  STEP4    = { t="STEP4",    f="FLAT19",   sane=1 },
  STEP5    = { t="STEP5",    f="FLOOR7_1", sane=1 },
  STEP6    = { t="STEP6",    f="FLAT5",    sane=1 },
  STEPLAD1 = { t="STEPLAD1", f="FLOOR7_1", sane=1 },
  STEPTOP  = { t="STEPTOP",  f="FLOOR7_1", sane=1 },


  -- switches --

  SW1BLUE  = { t="SW1BLUE",  f="FLAT14" },
  SW1BRCOM = { t="SW1BRCOM", f="FLOOR7_1" },
  SW1BRN2  = { t="SW1BRN2",  f="FLOOR0_1" },
  SW1BRNGN = { t="SW1BRNGN", f="FLOOR7_1" },
  SW1BROWN = { t="SW1BROWN", f="FLOOR7_1" },
  SW1CMT   = { t="SW1CMT",   f="FLAT1" },
  SW1COMM  = { t="SW1COMM",  f="FLAT23" },
  SW1COMP  = { t="SW1COMP",  f="CEIL5_1" },
  SW1DIRT  = { t="SW1DIRT",  f="FLOOR7_1" },
  SW1EXIT  = { t="SW1EXIT",  f="FLAT19" },
  SW1GARG  = { t="SW1GARG",  f="CEIL5_2" },
  SW1GRAY  = { t="SW1GRAY",  f="FLAT19" },
  SW1GRAY1 = { t="SW1GRAY1", f="FLAT19" },

  SW1GSTON = { t="SW1GSTON", f="FLOOR7_2" },
  SW1HOT   = { t="SW1HOT",   f="FLOOR1_7" },
  SW1LION  = { t="SW1LION",  f="CEIL5_2" },
  SW1METAL = { t="SW1METAL", f="FLOOR4_8" },
  SW1PIPE  = { t="SW1PIPE",  f="FLOOR4_5" },
  SW1SATYR = { t="SW1SATYR", f="CEIL5_2" },
  SW1SKIN  = { t="SW1SKIN",  f="CRATOP2" },
  SW1SLAD  = { t="SW1SLAD",  f="FLOOR7_1" },
  SW1STON1 = { t="SW1STON1", f="MFLR8_1" },
  SW1STRTN = { t="SW1STRTN", f="FLOOR4_1" },
  SW1VINE  = { t="SW1VINE",  f="FLAT1" },
  SW1WOOD  = { t="SW1WOOD",  f="FLAT5_2" },


  -- floors --

  CEIL1_1  = { f="CEIL1_1", t="WOOD1" },
  CEIL1_2  = { f="CEIL1_2", t="METAL" },
  CEIL1_3  = { f="CEIL1_3", t="WOOD1" },
  CEIL3_1  = { f="CEIL3_1", t="STARBR2" },
  CEIL3_2  = { f="CEIL3_2", t="STARTAN2" },
  CEIL3_3  = { f="CEIL3_3", t="BROWN1" },
  CEIL3_4  = { f="CEIL3_4", t="STARTAN2" },
  CEIL3_5  = { f="CEIL3_5", t="STONE2" },
  CEIL3_6  = { f="CEIL3_6", t="STONE2" },

  CEIL4_1  = { f="CEIL4_1", t="COMPSPAN" },
  CEIL4_2  = { f="CEIL4_2", t="COMPBLUE" },
  CEIL4_3  = { f="CEIL4_3", t="COMPSPAN" },
  CEIL5_1  = { f="CEIL5_1", t="COMPSPAN" },
  CEIL5_2  = { f="CEIL5_2", t="METAL" },

  COMP01   = { f="COMP01",  t="GRAY1" },

  CRATOP1  = { f="CRATOP1", t="CRATE2" },
  CRATOP2  = { f="CRATOP2", t="CRATE1" },

  DEM1_1   = { f="DEM1_1", t="MARBLE1" },
  DEM1_2   = { f="DEM1_2", t="MARBLE1" },
  DEM1_3   = { f="DEM1_3", t="MARBLE1" },
  DEM1_4   = { f="DEM1_4", t="MARBLE1" },
  DEM1_5   = { f="DEM1_5", t="MARBLE1" },
  DEM1_6   = { f="DEM1_6", t="MARBLE2" },

  FLAT1    = { f="FLAT1",   t="GRAY1" },
  FLAT2    = { f="FLAT2",   t="GRAY1" },
  FLAT3    = { f="FLAT3",   t="GRAY4" },
  FLAT4    = { f="FLAT4",   t="COMPSPAN" },

  FLAT5    = { f="FLAT5",   t="BROWNHUG" },
  FLAT5_1  = { f="FLAT5_1", t="WOOD1" },
  FLAT5_2  = { f="FLAT5_2", t="WOOD1" },
  FLAT5_3  = { f="FLAT5_3", t="REDWALL" },
  FLAT5_4  = { f="FLAT5_4", t="STONE" },
  FLAT5_6  = { f="FLAT5_6", t="CRACKLE4" },

  FLAT8    = { f="FLAT8",  t="BRICK1" },
  FLAT9    = { f="FLAT9",  t="GRAY4" },
  FLAT14   = { f="FLAT14", t="COMPBLUE" },
  FLAT17   = { f="FLAT17", t="GRAY1" },
  FLAT18   = { f="FLAT18", t="SILVER1" },
  FLAT19   = { f="FLAT19", t="GRAY1" },
  FLAT20   = { f="FLAT20", t="SILVER1" },
  FLAT22   = { f="FLAT22", t="SHAWN2" },
  FLAT23   = { f="FLAT23", t="SHAWN2" },

  FLOOR0_1 = { f="FLOOR0_1", t="STARTAN2" },
  FLOOR0_2 = { f="FLOOR0_2", t="STARBR2" },
  FLOOR0_3 = { f="FLOOR0_3", t="GRAY1" },
  FLOOR0_5 = { f="FLOOR0_5", t="GRAY4" },
  FLOOR0_6 = { f="FLOOR0_6", t="GRAY5" },
  FLOOR0_7 = { f="FLOOR0_7", t="GRAY7" },
  FLOOR1_1 = { f="FLOOR1_1", t="COMPBLUE" },
  FLOOR1_6 = { f="FLOOR1_6", t="REDWALL" },
  FLOOR1_7 = { f="FLOOR1_7", t="REDWALL" },
  FLOOR3_3 = { f="FLOOR3_3", t="BROWN1" },

  FLOOR4_1 = { f="FLOOR4_1", t="STARTAN2" },
  FLOOR4_5 = { f="FLOOR4_5", t="BRONZE1" },
  FLOOR4_6 = { f="FLOOR4_6", t="BROWN96" },
  FLOOR4_8 = { f="FLOOR4_8", t="METAL1" },
  FLOOR5_1 = { f="FLOOR5_1", t="METAL1" },
  FLOOR5_2 = { f="FLOOR5_2", t="BROWNHUG" },
  FLOOR5_3 = { f="FLOOR5_3", t="BROWN1" },
  FLOOR5_4 = { f="FLOOR5_4", t="STARTAN2" },
  FLOOR6_1 = { f="FLOOR6_1", t="REDWALL" },
  FLOOR7_1 = { f="FLOOR7_1", t="BROWNHUG" },
  FLOOR7_2 = { f="FLOOR7_2", t="MARBLE1" },

  GATE1    = { f="GATE1", t="METAL" },
  GATE2    = { f="GATE2", t="METAL" },
  GATE3    = { f="GATE3", t="METAL" },
  GATE4    = { f="GATE4", t="METAL" },

  MFLR8_1  = { f="MFLR8_1", t="STONE2" },
  MFLR8_2  = { f="MFLR8_2", t="BROWNHUG" },
  MFLR8_3  = { f="MFLR8_3", t="SP_ROCK1" },

  SFLR6_1  = { f="SFLR6_1", t="SKSNAKE1" },
  SFLR6_4  = { f="SFLR6_4", t="SKSNAKE2" },
  SFLR7_1  = { f="SFLR7_1", t="SKSNAKE1" },
  SFLR7_4  = { f="SFLR7_4", t="SKSNAKE1" },

  F_STEP1  = { f="STEP1", t="SHAWN2" },
  F_STEP2  = { f="STEP2", t="SHAWN2" },

  TLITE6_1 = { f="TLITE6_1", t="METAL" },
  TLITE6_4 = { f="TLITE6_4", t="METAL" },
  TLITE6_5 = { f="TLITE6_5", t="METAL" },
  TLITE6_6 = { f="TLITE6_6", t="METAL" },


  -- rails --

  BRNSMAL1 = { t="BRNSMAL1", rail_h=64 },
  BRNSMAL2 = { t="BRNSMAL2", rail_h=64 },
  BRNSMALC = { t="BRNSMALC", rail_h=64 },

  MIDBRN1  = { t="MIDBRN1",  rail_h=112 },
  MIDGRATE = { t="MIDGRATE", rail_h=128 },


  -- liquid stuff (using new patches)
  WFALL1   = { t="GSTFONT1", f="FWATER1", sane=1 },
  FWATER1  = { t="GSTFONT1", f="FWATER1", sane=1 },

  LFALL1   = { t="FIREMAG1", f="LAVA1", sane=1 },
  LAVA1    = { t="FIREMAG1", f="LAVA1", sane=1 },
  FIREMAG1 = { t="FIREMAG1", f="LAVA1", sane=1 },

  -- other --

  O_PILL   = { t="CEMENT1",  f="O_PILL",   sane=1 },
  O_BOLT   = { t="CEMENT2",  f="O_BOLT",   sane=1 },
  O_RELIEF = { t="CEMENT3",  f="O_RELIEF", sane=1 },
  O_CARVE  = { t="CEMENT4",  f="O_CARVE",  sane=1 },
  O_NEON   = { t="CEMENT6",  f="O_NEON",  sane=1 },

  O_BLACK  = { t="CEMENT5",  f="O_BLACK",  sane=1 },

  O_INVIST = { t="ZZWOLF10",  f="O_INVIST", sane=1 },

  -- new flat, added by data/lift_flat.wad
  LIFTFLAT = { f="LIFTFLAT", t="SUPPORT2" },


  -- Missing stuff:
  --   CEMENT#  : used by OBLIGE for various logos
  --   ZZZFACE# : not generally useful
  --
  -- Note too that STEP1/2 are ambiguous, the flats are quite
  -- different to the textures, hence renamed the flats as
  -- F_STEP1 and F_STEP2 here.


  -----------------------------------
  --- Materials unique to DOOM II ---
  -----------------------------------

  -- walls --

  ASHWALL2 = { t="ASHWALL2", f="FLOOR6_2" },
  ASHWALL3 = { t="ASHWALL3", f="RROCK03" },
  ASHWALL4 = { t="ASHWALL4", f="FLAT10" },
  ASHWALL6 = { t="ASHWALL6", f="FLAT19" },
  ASHWALL7 = { t="ASHWALL7", f="RROCK18" },
  BIGBRIK1 = { t="BIGBRIK1", f="RROCK14" },
  BIGBRIK2 = { t="BIGBRIK2", f="FLAT5_4" },
  BIGBRIK3 = { t="BIGBRIK3", f="RROCK14" },
  BLAKWAL1 = { t="BLAKWAL1", f="CEIL5_1" },
  BLAKWAL2 = { t="BLAKWAL2", f="CEIL5_1" },

  BRICK1   = { t="BRICK1",   f="RROCK10" },
  BRICK2   = { t="BRICK2",   f="RROCK10" },
  BRICK3   = { t="BRICK3",   f="FLAT5_5" },
  BRICK4   = { t="BRICK4",   f="FLAT5_5" },
  BRICK5   = { t="BRICK5",   f="RROCK10" },
  BRICK6   = { t="BRICK6",   f="FLOOR5_4" },
  BRICK7   = { t="BRICK7",   f="FLOOR5_4" },
  BRICK8   = { t="BRICK8",   f="FLOOR5_4" },
  BRICK9   = { t="BRICK9",   f="FLOOR5_4" },
  BRICK10  = { t="BRICK10",  f="SLIME13" },
  BRICK11  = { t="BRICK11",  f="DACH001" },
  BRICK12  = { t="BRICK12",  f="FLOOR0_1" },
  BRICKLIT = { t="BRICKLIT", f="RROCK10" },

  BRONZE1  = { t="BRONZE1",  f="FLOOR7_1" },
  BRONZE2  = { t="BRONZE2",  f="FLOOR7_1" },
  BRONZE3  = { t="BRONZE3",  f="FLOOR7_1" },
  BRONZE4  = { t="BRONZE4",  f="FLOOR7_1" },
  BRWINDOW = { t="BRWINDOW", f="RROCK10" },
  BSTONE1  = { t="BSTONE1",  f="RROCK11" },
  BSTONE2  = { t="BSTONE2",  f="RROCK12" },
  BSTONE3  = { t="BSTONE3",  f="RROCK12" },

  CEMENT7  = { t="CEMENT7",  f="FLAT19" },
  CEMENT8  = { t="CEMENT8",  f="FLAT19" },
  CEMENT9  = { t="CEMENT9",  f="FLAT19" },
  CRACKLE2 = { t="CRACKLE2", f="RROCK01" },
  CRACKLE4 = { t="CRACKLE4", f="RROCK02" },
  CRATE3   = { t="CRATE3",   f="CRATOP1" },
  MARBFAC4 = { t="MARBFAC4", f="DEM1_5" },
  MARBGRAY = { t="MARBGRAY", f="DEM1_5" },
  GSTVINE1 = { t="GSTVINE1", f="RROCK16" },

  METAL2   = { t="METAL2",   f="CEIL5_2" },
  METAL3   = { t="METAL3",   f="CEIL5_2" },
  METAL4   = { t="METAL4",   f="CEIL5_2" },
  METAL5   = { t="METAL5",   f="CEIL5_2" },
  METAL6   = { t="METAL6",   f="CEIL5_2" },
  METAL7   = { t="METAL7",   f="CEIL5_2" },

  MODWALL1 = { t="MODWALL1", f="MFLR8_4" },
  MODWALL2 = { t="MODWALL2", f="MFLR8_4" },
  MODWALL3 = { t="MODWALL3", f="FLAT19" },
  MODWALL4 = { t="MODWALL4", f="FLAT18" },

  PANBLACK = { t="PANBLACK", f="RROCK09" },
  PANBLUE  = { t="PANBLUE",  f="RROCK09" },
  PANBOOK  = { t="PANBOOK",  f="RROCK09" },
  PANRED   = { t="PANRED",   f="RROCK09" },
  PANBORD1 = { t="PANBORD1", f="RROCK09" },
  PANBORD2 = { t="PANBORD2", f="RROCK09" },
  PANCASE1 = { t="PANCASE1", f="RROCK09" },
  PANCASE2 = { t="PANCASE2", f="RROCK09" },

  PANEL1   = { t="PANEL1",   f="RROCK09" },
  PANEL2   = { t="PANEL2",   f="RROCK09" },
  PANEL3   = { t="PANEL3",   f="RROCK09" },
  PANEL4   = { t="PANEL4",   f="RROCK09" },
  PANEL5   = { t="PANEL5",   f="RROCK09" },
  PANEL6   = { t="PANEL6",   f="RROCK09" },
  PANEL7   = { t="PANEL7",   f="RROCK09" },
  PANEL8   = { t="PANEL8",   f="RROCK09" },
  PANEL9   = { t="PANEL9",   f="RROCK09" },

  PIPES    = { t="PIPES",    f="FLOOR3_3" },
  PIPEWAL1 = { t="PIPEWAL1", f="RROCK03" },
  PIPEWAL2 = { t="PIPEWAL2", f="RROCK03" },
  ROCK1    = { t="ROCK1",    f="RROCK13" },
  ROCK2    = { t="ROCK2",    f="GRNROCK" },
  ROCK3    = { t="ROCK3",    f="RROCK13" },
  ROCK4    = { t="ROCK4",    f="FLOOR0_2" },
  ROCK5    = { t="ROCK5",    f="RROCK09" },

  SILVER1  = { t="SILVER1",  f="FLAT23" },
  SILVER2  = { t="SILVER2",  f="FLAT22" },
  SILVER3  = { t="SILVER3",  f="FLAT23" },
  SK_LEFT  = { t="SK_LEFT",  f="FLAT5_6" },
  SK_RIGHT = { t="SK_RIGHT", f="FLAT5_6" },
  SLOPPY1  = { t="SLOPPY1",  f="FLAT5_6" },
  SLOPPY2  = { t="SLOPPY2",  f="FLAT5_6" },
  SP_DUDE7 = { t="SP_DUDE7", f="FLOOR5_4" },
  SP_FACE2 = { t="SP_FACE2", f="FLAT5_6" },

  SPACEW2  = { t="SPACEW2",  f="CEIL3_3" },
  SPACEW3  = { t="SPACEW3",  f="CEIL5_1" },
  SPACEW4  = { t="SPACEW4",  f="SLIME16" },

  SPCDOOR1 = { t="SPCDOOR1", f="FLOOR0_1" },
  SPCDOOR2 = { t="SPCDOOR2", f="FLAT19" },
  SPCDOOR3 = { t="SPCDOOR3", f="FLAT19" },
  SPCDOOR4 = { t="SPCDOOR4", f="FLOOR0_1" },

  STONE4   = { t="STONE4",   f="FLAT5_4" },
  STONE5   = { t="STONE5",   f="FLAT5_4" },
  STONE6   = { t="STONE6",   f="RROCK11" },
  STONE7   = { t="STONE7",   f="RROCK11" },
  STUCCO   = { t="STUCCO",   f="FLAT5_5" },
  STUCCO1  = { t="STUCCO1",  f="FLAT5_5" },
  STUCCO2  = { t="STUCCO2",  f="FLAT5_5" },
  STUCCO3  = { t="STUCCO3",  f="FLAT5_5" },

  TANROCK2 = { t="TANROCK2", f="FLOOR3_3" },
  TANROCK3 = { t="TANROCK3", f="RROCK11" },
  TANROCK4 = { t="TANROCK4", f="RROCK09" },
  TANROCK5 = { t="TANROCK5", f="RROCK18" },
  TANROCK7 = { t="TANROCK7", f="RROCK15" },
  TANROCK8 = { t="TANROCK8", f="RROCK09" },

  TEKBRON1 = { t="TEKBRON1", f="FLOOR0_1" },
  TEKBRON2 = { t="TEKBRON2", f="FLOOR0_1" },
  TEKGREN1 = { t="TEKGREN1", f="RROCK20" },
  TEKGREN2 = { t="TEKGREN2", f="RROCK20" },
  TEKGREN3 = { t="TEKGREN3", f="RROCK20" },
  TEKGREN4 = { t="TEKGREN4", f="RROCK20" },
  TEKGREN5 = { t="TEKGREN5", f="RROCK20" },
  TEKLITE  = { t="TEKLITE",  f="FLOOR5_2" },
  TEKLITE2 = { t="TEKLITE2", f="FLOOR5_2" },
  TEKWALL6 = { t="TEKWALL6", f="CEIL5_1" },

  WOOD6    = { t="WOOD6",    f="FLAT5_2" },
  WOOD7    = { t="WOOD7",    f="FLAT5_2" },
  WOOD8    = { t="WOOD8",    f="FLAT5_2" },
  WOOD9    = { t="WOOD9",    f="FLAT5_2" },
  WOOD10   = { t="WOOD10",   f="FLAT5_1" },
  WOOD12   = { t="WOOD12",   f="FLAT5_2" },
  WOODVERT = { t="WOODVERT", f="FLAT5_2" },
  WOODMET1 = { t="WOODMET1", f="CEIL5_2" },
  WOODMET2 = { t="WOODMET2", f="CEIL5_2" },
  WOODMET3 = { t="WOODMET3", f="CEIL5_2" },
  WOODMET4 = { t="WOODMET4", f="CEIL5_2" },

  ZIMMER1  = { t="ZIMMER1",  f="GRASS1" },
  ZIMMER2  = { t="ZIMMER2",  f="GRASS1" },
  ZIMMER3  = { t="ZIMMER3",  f="DLEAF" },
  ZIMMER4  = { t="ZIMMER4",  f="DLEAF" },
  ZIMMER5  = { t="ZIMMER5",  f="RROCK16" },
  ZIMMER7  = { t="ZIMMER7",  f="GRNMOS" },
  ZIMMER8  = { t="ZIMMER8",  f="MFLR8_3" },

  ZDOORB1  = { t="ZDOORB1",  f="FLAT23" },
  ZDOORF1  = { t="ZDOORF1",  f="FLAT23" },
  ZELDOOR  = { t="ZELDOOR",  f="FLAT23" },

  ZZZFACE4 = { t="ZZZFACE4", f="CEIL5_1" },

  ZZWOLF1  = { t="ZZWOLF1",  f="FLAT18" },
  ZZWOLF2  = { t="ZZWOLF2",  f="FLAT18" },
  ZZWOLF3  = { t="ZZWOLF3",  f="FLAT18" },
  ZZWOLF5  = { t="ZZWOLF5",  f="FLAT5_1" },
  ZZWOLF6  = { t="ZZWOLF6",  f="FLAT5_1" },
  ZZWOLF7  = { t="ZZWOLF7",  f="FLAT5_1" },
  ZZWOLF9  = { t="ZZWOLF9",  f="FLAT14" },
  ZZWOLF10 = { t="ZZWOLF10", f="FLAT23" },
  ZZWOLF11 = { t="ZZWOLF11", f="FLAT5_3" },
  ZZWOLF12 = { t="ZZWOLF12", f="FLAT5_3" },
  ZZWOLF13 = { t="ZZWOLF13", f="FLAT5_3" },


  -- switches --

  SW1BRIK  = { t="SW1BRIK",  f="MFLR8_1" },
  SW1MARB  = { t="SW1MARB",  f="DEM1_5" },
  SW1MET2  = { t="SW1MET2",  f="CEIL5_2" },
  SW1MOD1  = { t="SW1MOD1",  f="MFLR8_4" },
  SW1PANEL = { t="SW1PANEL", f="CEIL1_1" },
  SW1ROCK  = { t="SW1ROCK",  f="RROCK13" },
  SW1SKULL = { t="SW1SKULL", f="FLAT5_6" },
  SW2SKULL = { t="SW2SKULL", f="FLAT5_6" },
  SW1STON6 = { t="SW1STON6", f="RROCK11" },
  SW1TEK   = { t="SW1TEK",   f="RROCK20" },
  SW1WDMET = { t="SW1WDMET", f="CEIL5_2" },
  SW1ZIM   = { t="SW1ZIM",   f="GRASS1" },


  -- floors --

  CONS1_1  = { f="CONS1_1", t="GRAY5" },
  CONS1_5  = { f="CONS1_5", t="GRAY5" },
  CONS1_7  = { f="CONS1_7", t="GRAY5" },

  FLAT10   = { f="FLAT10",   t="ASHWALL4" },
  FLAT1_1  = { f="FLAT1_1",  t="BSTONE2" },
  FLAT1_2  = { f="FLAT1_2",  t="BSTONE2" },
  FLAT1_3  = { f="FLAT1_3",  t="BSTONE2" },
  FLAT5_5  = { f="FLAT5_5",  t="STUCCO" },
  FLAT5_7  = { f="FLAT5_7",  t="ASHWALL2" },
  FLAT5_8  = { f="FLAT5_8",  t="ASHWALL2" },
  FLOOR6_2 = { f="FLOOR6_2", t="ASHWALL2" },

  GRASS1   = { f="GRASS1",   t="ZIMMER2" },
  GRASS2   = { f="GRASS2",   t="ZIMMER2" },
  GRNROCK  = { f="GRNROCK",  t="ROCK2" },
  GRNLITE1 = { f="GRNLITE1", t="TEKGREN2" },
  MFLR8_4  = { f="MFLR8_4",  t="ASHWALL2" },

  RROCK01  = { f="RROCK01", t="ROCKRED1" },
  RROCK02  = { f="RROCK02", t="CRACKLE4" },
  RROCK03  = { f="RROCK03", t="ASHWALL3" },
  RROCK04  = { f="RROCK04", t="ASHWALL3" },
  RROCK05  = { f="RROCK05", t="ROCKRED1" }, -- animated (using 05..08)

  RROCK09  = { f="RROCK09", t="TANROCK4" },
  RROCK10  = { f="RROCK10", t="BRICK1" },
  RROCK11  = { f="RROCK11", t="BSTONE1" },
  RROCK12  = { f="RROCK12", t="BSTONE2" },

  RROCK13  = { f="RROCK13", t="ROCK3" },
  RROCK14  = { f="RROCK14", t="BIGBRIK1" },
  RROCK15  = { f="RROCK15", t="TANROCK7" },
  RROCK16  = { f="RROCK16", t="ZIMMER5" },
  RROCK17  = { f="RROCK17", t="TANROCK5" },
  RROCK18  = { f="RROCK18", t="TANROCK5" },
  RROCK19  = { f="RROCK19", t="ZIMMER2" },
  RROCK20  = { f="RROCK20", t="ZANROCK1" },

  SLIME09  = { f="SLIME09", t="ROCKRED1" }, -- animated
  SLIME13  = { f="SLIME13", t="BRICK10" },
  SLIME14  = { f="SLIME14", t="METAL2" },
  SLIME15  = { f="SLIME15", t="METAL2" },
  SLIME16  = { f="SLIME16", t="SPACEW4" },


  -- rails --

  DBRAIN1  = { t="DBRAIN1",  rail_h=32 },

  MIDBARS1 = { t="MIDBARS1", rail_h=128 },
  MIDBARS3 = { t="MIDBARS3", rail_h=72  },
  MIDBRONZ = { t="MIDBRONZ", rail_h=128 },
  MIDSPACE = { t="MIDSPACE", rail_h=128 },

  -- scaled MIDVINE2 from FreeDoom... UNDONE!
  MIDVINE2 = { t="MIDVINE2", rail_h=128 },
  MIDVINE1 = { t="MIDVINE1", rail_h=128 },


  -- liquid stuff (keep them recognisable)
  BFALL1   = { t="BFALL1",  f="BLOOD1", sane=1 },
  BLOOD1   = { t="BFALL1",  f="BLOOD1", sane=1 },
  
  BLUSLUD1   = { t="GSTFONT1",  f="BLUSLUD1", sane=1 },
  BADBLUD1   = { t="BFALL1",  f="BADBLUD1", sane=1 },
  MUCK1   = { t="MUKDRIP1",  f="MUCK1", sane=1 },
  RUNBLUD1   = { t="BFALL1",  f="RUNBLUD1", sane=1 },
  
  WSKULLIE   = { t="FIREBLU1",  f="WSKULLIE", sane=1 },
  WSKULLIQ   = { t="MAGMAA",  f="WSKULLIQ", sane=1 },

  SFALL1   = { t="SFALL1",  f="NUKAGE1", sane=1 },
  NUKAGE1  = { t="SFALL1",  f="NUKAGE1", sane=1 },

  KFALL1   = { t="BLODRIP1", f="SLIME01", sane=1 },  -- new patches
  KFALL5   = { t="SLUDRIP1", f="SLIME05", sane=1 },
  SLIME01  = { t="BLODRIP1", f="SLIME01", sane=1 },
  SLIME05  = { t="SLUDRIP1", f="SLIME05", sane=1 },
  
  FLTSLUD1  = { t="SFALL1", f="FLTSLUD1", sane=1 },
  FLTLAVA1  = { t="MAGMAA", f="FLTLAVA1", sane=1 },
  
  -- Extra new stuff
  FIREMOS1   = { f="FLOOR1_6",   t="FIREMOS1" },
  FIREMOS2   = { f="FLOOR1_6",   t="FIREMOS2" },
  
  SPRKMOS1   = { f="FSPARK",   t="SPRKMOS1" },
  SPRKMOS2   = { f="FSPARK",   t="SPRKMOS2" },
  
  MOSSTEK1   = { f="FLOOR0_5",   t="MOSSTEK1" },
  MOSSTEK2   = { f="FLOOR0_5",   t="MOSSTEK2" },
  
  SKELEWAL   = { f="FLAT5_5",   t="SKELEWAL" },
  
  LOOSESNW   = { f="FLAT509B",   t="LOOSESNW" },
  FLAT509B   = { f="FLAT509B",   t="LOOSESNW" },
  FRZSTON   = { f="FLAT509B",   t="FRZSTON" },
  SNWROCK   = { f="FLAT509B",   t="SNWROCK" },
  HARDSNW   = { f="FLAT509B",   t="HARDSNW" },
  HARDSNW2  = { f="FLAT509B",   t="HARDSNW2" },
  SNWCAVE   = { f="FSNW3",   t="SNWCAVE" },
  ICEY8     = { f="ICEYRCK",   t="ICEY8" },
  ICEYRCK   = { f="ICEYRCK",   t="ICEY8" },
  ICEY921   = { f="FSNW3",   t="ICEY921" },
  LOOSEICE  = { f="FSNW3",   t="LOOSEICE" },
  SNWBRCK   = { f="FSNW2",   t="SNWBRCK" },
  SNWBRK2   = { f="FSNW1",   t="SNWBRK2" },
  SNWBRK3   = { f="FSNW2",   t="SNWBRK3" },
  SNWBRK4   = { f="FSNW1",   t="SNWBRK4" },
  SNWBRK5   = { f="FSNW2",   t="SNWBRK5" },
  SNWBRK6   = { f="FSNW2",   t="SNWBRK6" },
  SNWBRK7   = { f="FSNW1",   t="SNWBRK7" },
  SNWBRK8   = { f="FSNW2",   t="SNWBRK8" },
  FSNW1   = { f="FSNW1",   t="SNWBRK4" },
  FSNW2   = { f="FSNW2",   t="SNWBRK3" },
  FSNW3   = { f="FSNW3",   t="SNWCAVE" },
  ICEY6   = { f="FLIRCK01",   t="ICEY6" },
  ICEY3   = { f="FLIRCK01",   t="ICEY3" },
  ROCKICE2   = { f="FLIRCK01",   t="ROCKICE2" },
  FLIRCK01   = { f="FLIRCK01",   t="ICEY3" },
  
  FLOWERS   = { f="FLOWERS",   t="ZIMMER2" },
  FLOWER2   = { f="FLOWER2",   t="ZIMMER2" },
  
  _EXITSGN = { t="EXITSIGN", f="CEIL5_1" }, -- Exit sign
  _KEYTRM1 = { t="DOORYEL", f="FLOOR25" }, -- Trim for locked door, Key 1
  _KEYTRM2 = { t="DOORRED", f="FLOOR19" }, -- Trim for locked door, Key 2
  _KEYTRM3 = { t="DOORBLU", f="FLOOR16" }, -- Trim for locked door, Key 3
  
  RITERED    = { t="RITERED",    f="FLAT19" },
  RITEWIT    = { t="RITEWIT",    f="FLAT19" },
  RITEGRN    = { t="RITEGRN",    f="FLAT19" },
  
  SW1CITY    = { t="SW1CITY",    f="FLOOR30" },
  SW2CITY    = { t="SW2CITY",    f="FLOOR30" },
  SW1CITY2    = { t="SW1CITY2",    f="FLOOR30" },
  SW2CITY2    = { t="SW2CITY2",    f="FLOOR30" },
  SW1CITY3    = { t="SW1CITY3",    f="FLOOR30" },
  SW2CITY3    = { t="SW2CITY3",    f="FLOOR30" },
  SW1CITY4    = { t="SW1CITY4",    f="FLOOR30" },
  SW2CITY4    = { t="SW2CITY4",    f="FLOOR30" },
  SW1CITY5    = { t="SW1CITY5",    f="FLOOR30" },
  SW2CITY5    = { t="SW2CITY5",    f="FLOOR30" },
  SW1CITY6    = { t="SW1CITY6",    f="FLOOR30" },
  SW2CITY6    = { t="SW2CITY6",    f="FLOOR30" },
  
  SW1MAW    = { t="SW1MAW",    f="FLOOR30" },
  SW2MAW    = { t="SW2MAW",    f="FLOOR30" },
  SW1MAW2    = { t="SW1MAW2",    f="FLOOR30" },
  SW2MAW2    = { t="SW2MAW2",    f="FLOOR30" },
  SW1MAW3    = { t="SW1MAW3",    f="FLOOR30" },
  SW2MAW3    = { t="SW2MAW3",    f="FLOOR30" },
  SW1MAW4    = { t="SW1MAW4",    f="FLOOR30" },
  SW2MAW4    = { t="SW2MAW4",    f="FLOOR30" },
  SW1MAW5    = { t="SW1MAW5",    f="FLOOR30" },
  SW2MAW5    = { t="SW2MAW5",    f="FLOOR30" },
  SW1MAW6    = { t="SW1MAW6",    f="FLOOR30" },
  SW2MAW6    = { t="SW2MAW6",    f="FLOOR30" },
  
  SW1DOME    = { t="SW1DOME",    f="FLOOR30" },
  SW2DOME    = { t="SW2DOME",    f="FLOOR30" },
  SW1DOME2    = { t="SW1DOME2",    f="FLOOR30" },
  SW2DOME2    = { t="SW2DOME2",    f="FLOOR30" },
  SW1DOME3    = { t="SW1DOME3",    f="FLOOR30" },
  SW2DOME3    = { t="SW2DOME3",    f="FLOOR30" },
  SW1DOME4    = { t="SW1DOME4",    f="FLOOR30" },
  SW2DOME4    = { t="SW2DOME4",    f="FLOOR30" },
  SW1DOME5    = { t="SW1DOME5",    f="FLOOR30" },
  SW2DOME5    = { t="SW2DOME5",    f="FLOOR30" },
  SW1DOME6    = { t="SW1DOME6",    f="FLOOR30" },
  SW2DOME6    = { t="SW2DOME6",    f="FLOOR30" },
  
  SW1CRYPT    = { t="SW1CRYPT",    f="FLOOR30" },
  SW2CRYPT    = { t="SW2CRYPT",    f="FLOOR30" },
  SW1CRYP2    = { t="SW1CRYP2",    f="FLOOR30" },
  SW2CRYP2    = { t="SW2CRYP2",    f="FLOOR30" },
  SW1CRYP3    = { t="SW1CRYP3",    f="FLOOR30" },
  SW2CRYP3    = { t="SW2CRYP3",    f="FLOOR30" },
  SW1CRYP4    = { t="SW1CRYP4",    f="FLOOR30" },
  SW2CRYP4    = { t="SW2CRYP4",    f="FLOOR30" },
  SW1CRYP5    = { t="SW1CRYP5",    f="FLOOR30" },
  SW2CRYP5    = { t="SW2CRYP5",    f="FLOOR30" },
  SW1CRYP6    = { t="SW1CRYP6",    f="FLOOR30" },
  SW2CRYP6    = { t="SW2CRYP6",    f="FLOOR30" },
  
  SW1MANOR    = { t="SW1MANOR",    f="FLOOR30" },
  SW2MANOR    = { t="SW2MANOR",    f="FLOOR30" },
  SW1MANO2    = { t="SW1MANO2",    f="FLOOR30" },
  SW2MANO2    = { t="SW2MANO2",    f="FLOOR30" },
  SW1MANO3    = { t="SW1MANO3",    f="FLOOR30" },
  SW2MANO3    = { t="SW2MANO3",    f="FLOOR30" },
  SW1MANO4    = { t="SW1MANO4",    f="FLOOR30" },
  SW2MANO4    = { t="SW2MANO4",    f="FLOOR30" },
  SW1MANO5    = { t="SW1MANO5",    f="FLOOR30" },
  SW2MANO5    = { t="SW2MANO5",    f="FLOOR30" },
  SW1MANO6    = { t="SW1MANO6",    f="FLOOR30" },
  SW2MANO6    = { t="SW2MANO6",    f="FLOOR30" },
  
  DOORSTP2    = { t="DOORSTP2",    f="FLAT19" },
  DOORSTP3    = { t="DOORSTP3",    f="FLAT19" },
  DOORSTP4    = { t="DOORSTP4",    f="FLAT19" },
  DOORSTP5    = { t="DOORSTP5",    f="FLAT19" },
  DOORSTP6    = { t="DOORSTP6",    f="FLAT19" },
  
  ICE   = { f="FLAT517",   t="ICE" },
  FRZ_FACE   = { f="FLAT517",   t="FRZ_FACE" },
  FRZ_BONE   = { f="FLAT517",   t="FRZ_BONE" },
  FLAT517   = { f="FLAT517",   t="ICE" },
  FRZRCK  = { t="FRZRCK",  f="FRZFLAT" },
  FRZFLAT  = { t="FRZRCK",  f="FRZFLAT" },
  
  FRZBNWL1   = { f="LEVTIL2",   t="FRZBNWL1" },
  LEVTIL2   = { f="LEVTIL2",   t="FRZBNWL1" },
  FRZBNWL2   = { f="LEVTIL2",   t="FRZBNWL2" },
  
  EFORT161   = { f="FLORT191",   t="EFORT161" },
  FLORT191   = { f="FLORT191",   t="EFORT161" },
  EFORT171   = { f="FLORT171",   t="EFORT171" },
  FLORT171   = { f="FLORT171",   t="EFORT171" },
  EFORT191   = { f="FLORT191",   t="EFORT191" },
  EFORT195   = { f="FLORT191",   t="EFORT195" },
  EFORGE83   = { f="FLORGE83",   t="EFORGE83" },
  FLORGE83   = { f="FLORGE83",   t="EFORGE83" },
  RFORGE83   = { f="FLORGE83",   t="RFORGE83" },
  
  FCATOM1   = { f="FCATOM1",   t="ECATA00" },
  FCATOM2   = { f="FCATOM2",   t="ECATA00" },
  FCATOM3   = { f="FCATOM3",   t="ECATA00" },
  
  ECATA00   = { f="FCATOM1",   t="ECATA00" },
  ECATA09   = { f="FCATOM1",   t="ECATA09" },
  ECATA10   = { f="FCATOM1",   t="ECATA10" },
  
  
  FSPIW   = { f="FSPIW",   t="SPIWEB" },
  SPIWEB   = { f="FSPIW",   t="SPIWEB" },
  
  ACKWALL1 = { t="ACKWALL1", f="FLAT19"  },
  ACKWALL2 = { t="ACKWALL2", f="FLAT19"  },
  ACKWALL3 = { t="ACKWALL3", f="FLAT19"  },
  ACKWALL4 = { t="ACKWALL4", f="FLAT19"  },
  ACKWALL5 = { t="ACKWALL5", f="FLAT19"  },
  ACKWALL7 = { t="ACKWALL7", f="FLAT19"  },
  
  INDOR1 = { t="INDOR1", f="FLOOR10"  },
  INDOR2 = { t="INDOR2", f="FLOOR10"  },
  INDOR3 = { t="INDOR3", f="FLOOR10"  },
  INDOR4 = { t="INDOR4", f="FLOOR10"  },
  INDOR5 = { t="INDOR5", f="FLOOR4_8"  },
  INDOR6 = { t="INDOR6", f="FLOOR4_8"  },
  
  INWOD1 = { t="INWOD1", f="F_054"  },
  INWOD2 = { t="INWOD2", f="F_055"  },
  INWOD3 = { t="INWOD3", f="F_054"  },
  INWOD4 = { t="INWOD4", f="F_055"  },
  INWOD5 = { t="INWOD5", f="F_054"  },
  INWOD6 = { t="INWOD6", f="F_055"  },
  
  CARP1 = { t="WOOD12", f="CARP1"  },
  CARP2 = { t="WOOD12", f="CARP2"  },
  CARP3 = { t="WOOD12", f="CARP3"  },
  CARP4 = { t="WOOD12", f="CARP4"  },
  
  LEVIATN   = { f="LEVTILE",   t="LEVIATN" },
  LEVTILE   = { f="LEVTILE",   t="LEVIATN" },
  MEDUSS   = { f="LEVMARB",   t="MEDUSS" },
  LEVMARB   = { f="LEVMARB",   t="MEDUSS" },
  
  FLOOR27  = { f="FLOOR27", t="TANROCK6" },
  FLAT512  = { f="FLAT512", t="ZANROCK2" },
  FLAT513  = { f="FLAT513", t="ZANROCK2" },
  
  GRID03  = { t="GRID03",  f="WOODF01" },
  WOODF01  = { t="GRID03",  f="WOODF01" },
  WOODSLIM  = { t="WOODSLIM",  f="F_055" },
  STNTRIM1  = { t="STNTRIM1",  f="WOODF01" },
  WALL04_7  = { t="WALL04_7",  f="WOODF01" },
  WODMET01  = { t="WODMET01",  f="WOODF01" },
  
  VILL04  = { t="VILL04",  f="F_054" },
  VILL05  = { t="VILL05",  f="F_055" },
  F_054  = { t="VILL04",  f="F_054" },
  F_055  = { t="VILL05",  f="F_055" },
  VILL01  = { t="VILL01",  f="CRATOP2" },
  VILL06 = { t="VILL06", rail_h=128  },
  
  WALL062  = { t="WALL062",  f="FLROCK21" },
  WALL5093  = { t="WALL5093",  f="FLROCK21" },
  FLROCK21  = { t="WALL5093",  f="FLROCK21" },
  WALL900  = { t="WALL900",  f="FLROCK21" },
  WALL910  = { t="WALL910",  f="FLROCK21" },
  WALL911  = { t="WALL911",  f="DGRAS" },
  DGRAS  = { t="WALL911",  f="DGRAS" },
  GREYZ  = { t="GREYZ",  f="CEIL5_1" },
  
  BLFENC4 = { t="BLFENC4", rail_h=64  },
  
  -- NEW FLESH
  
  NEWSKIN1  = { t="NEWSKIN1",  f="CEIL5_1" },
  NEWSKIN2  = { t="NEWSKIN2",  f="CEIL5_1" },
  NEWSKIN3  = { t="NEWSKIN3",  f="CEIL5_1" },
  NEWSKIN4  = { t="NEWSKIN4",  f="CEIL5_1" },
  NEWSKIN5  = { t="NEWSKIN5",  f="CEIL5_1" },
  NEWSKIN6  = { t="NEWSKIN6",  f="CEIL5_1" },
  
  -- NEW DOORS
  GREYA  = { t="GREYA",  f="CEIL5_1" },
  GREYB  = { t="GREYB",  f="CEIL5_1" },
  DOORMT1 = { t="DOORMT1", f="CEIL5_1" },
  
  ICEDOOR1 = { t="ICEDOOR1", f="CEIL5_1" },
  ICEDOOR2 = { t="ICEDOOR2", f="CEIL5_1" },
  ICEDOOR3 = { t="ICEDOOR3", f="CEIL5_1" },
  ICEDOORL = { t="ICEDOORL", f="CEIL5_1" },
  
  DOORXN01 = { t="DOORXN01", f="FLAT20" },
  DOORZB01 = { t="DOORZB01", f="FLAT20" },
  DOORW02 = { t="DOORW02", f="FLAT5_2" },
  DOORW03 = { t="DOORW03", f="FLAT5_2" },
  
  DOORW03 = { t="DOORW03", f="FLAT20" },
  
  ORO1  = { t="ORO1",  f="GOLD01" },
  GOLD01  = { t="ORO1",  f="GOLD01" },
  
  HGLSS01  = { t="HGLSS01",  f="FLOOR30" },
  HGLSS02  = { t="HGLSS02",  f="FLOOR30" },
  GLASS01  = { t="GLASS01",  f="FLOOR30" },
  GLASS02  = { t="GLASS02",  f="FLOOR30" },
  GLASS03  = { t="GLASS03",  f="FLOOR30" },
  GLASS04  = { t="GLASS04",  f="FLOOR30" },
  GLASS05  = { t="GLASS05",  f="FLOOR30" },
  GLASS06  = { t="GLASS06",  f="FLOOR30" },
  SGLASS1D  = { t="SGLASS1D",  f="FLOOR30" },
  SGLASS2D  = { t="SGLASS2D",  f="FLOOR30" },
  STNGLS4  = { t="STNGLS4",  f="FLOOR30" },
  CUSTWIN1  = { t="CUSTWIN1",  f="FLOOR30" },
  CULT1  = { t="CULT1",  f="FLOOR30" },
  CULT2  = { t="CULT2",  f="FLOOR30" },
  CULT3  = { t="CULT3",  f="FLOOR30" },
  
  -- stonefaces
  
  HUMAN1  = { t="HUMAN1",  f="FLAT23" }, -- city
  HUMAN2  = { t="HUMAN2",  f="FLAT23" },
  HUMAN3  = { t="HUMAN3",  f="FLAT23" },
  
  HELDEM1  = { t="HELDEM1",  f="DEM1_5" }, -- maw
  HELDEM2  = { t="HELDEM2",  f="DEM1_5" },
  HELDEM3  = { t="HELDEM3",  f="DEM1_5" },
  
  BLUDEM  = { t="BLUDEM",  f="LEVMARB" }, -- dome
  MEDUS2  = { t="MEDUS2",  f="LEVMARB" },
  DRAKE  = { t="DRAKE",  f="LEVMARB" },
  
  CRYPT1  = { t="CRYPT1",  f="FLOOR0_3" }, -- ossuary
  CRYPT2  = { t="CRYPT2",  f="FLOOR0_3" },
  CRYPT3  = { t="CRYPT3",  f="FLOOR0_3" },
  
  MANOR1  = { t="MANOR1",  f="FLOOR0_5" }, -- demense
  MANOR2  = { t="MANOR2",  f="FLOOR0_5" },
  MANOR3  = { t="MANOR3",  f="FLOOR0_5" },
}

HEATHEN_RESOURCE_PACK.THEMES =
{
  DEFAULTS =
  {

    fences =
    {
      STONE = 50,
    },

    narrow_halls =
    {
      vent = 50,
    --  mineshaft = 50,
    },

    wide_halls =
    {
      deuce = 50,
      metro = 50,
    },

    floor_sinks =
    {
      PLAIN = 0.01,
    },

    ceiling_sinks =
    {
      PLAIN = 0.01,
    },

    fence_groups =
    {
      beam_lights = 60,
      beam_lights_while = 60,
      beam_quakeish = 60,
      beam_lights_vertical_tech = 60,
      beam_lights_vertical_hell = 60,
      beam_wood = 60,
      crenels = 60
    },

    wall_groups =
    {
      gtd_generic_beamed_inset = 60,
      gtd_generic_beamed_green_inset = 60,
      gtd_generic_beamed_brown_inset = 60,
      gtd_generic_glow_wall = 60,
      gtd_generic_half_floor = 60,
      gtd_generic_half_floor_no_trim = 60,
      gtd_generic_half_floor_inverted_braced = 60,
      gtd_wall_high_gap_set = 60,
      gtd_wall_high_gap_alt_set = 60,
      gtd_wall_lamp_stubby = 60,
      gtd_wall_lamp_thicc = 60,
      gtd_wall_lamp_thin = 60,
      gtd_wall_candalebra = 60,
      gtd_wall_blue_torch = 60,
      gtd_wall_green_torch = 60,
      gtd_wall_red_torch = 60,
      gtd_modquake_set = 60,
      gtd_modquake_jawlike = 60,
      gtd_modquake_top_heavy_brace = 60,
      gtd_modquake_tek_slope_brace = 60,
      gtd_modquake_ex_light_slope_brace = 60,
      gtd_modquake_round_braced_lit_pillar = 60,
      gtd_modquake_hexagon_inset_braced = 60,
      gtd_gothic_ceilwall_arch = 60,
      gtd_gothic_ceilwall_doublet_arch = 60,
      gtd_gothic_ceilwall_braced_arch = 60,
      gtd_gothic_ceilwall_xzibit_arch = 60,
      gtd_wall_quakish_insets = 60,
      gtd_wall_quakish_insets_2 = 60,
      gtd_wall_urban_cement_frame = 60,
      gtd_wall_urban_storage = 60,
      low_gap = 60,
      low_gap2 = 60,
      low_gap3 = 60,
      low_gap4 = 60,
      low_gap5 = 60,
    },

    window_groups =
    {
      barred = 60,
      barred_2 = 60,
      gtd_window_arched = 60,
      gtd_window_arched_tall = 60,
      gtd_window_arched_inverse = 60,
      gtd_window_arrowslit = 60,
      gtd_window_bunker_mid_space = 60,
      gtd_window_cage_lowbars = 60,
      gtd_window_cage_highbars = 60,
      gtd_window_cage_hell = 60,
      gtd_window_full_open = 60,
      gtd_window_full_open_tall = 60,
      gtd_window_octo_glass = 60,
      gtd_window_pencil_holes = 60,
      gtd_window_quakeish = 60,
      round = 60,
      supertall = 60
    },

    -- FIXME: temp crud
    has_triple_key_door = false,
    has_double_switch_door = true,

    steps_mat = "GRAY7",

    cage_mats =
    {
      METAL1   = 60,
      BROWN144 = 60,
      ICKWALL3 = 60,

      STONE    = 20,
      SLADWALL = 20,
      WOODVERT = 20
    },
  },
  
  ossuary = 
{

    wall_groups =
    {
      gtd_furnace = 60,
      gtd_wall_horsemen = 50,
      armaetus_catacomb_wall_set = 50,
      cran_heretic_cementerywall = 40,
      gtd_heroglass_wall = 80,
      gtd_wall_hell_ossuary = 80,
    },
	
	skyboxes =
    {
      craneo_heathen_crypt_skybox = 50,
    },
	
    outdoor_wall_groups =
    {
      hell_o_metal_framed_skin = 80,
      hell_o_spiny_overhang = 70,
      hell_o_caged_up_corpses = 80,
      hell_o_crematorium_windows = 70,
    },

    window_groups =
    {
      gtd_window_bunker_mid_space = 80,
      gtd_window_cage_lowbars = 70,
    },
	  
    prefab_remap =
    {
      BIGDOOR1 = "GREYA",
      BIGDOOR2 = "GREYB",
      BIGDOOR3 = "GREYB",
      BIGDOOR4 = "GREYA",
      DOOR1 = "DOOR2",
      DOOR3 = "DOOR2",
	  ICKDOOR1 = "DOOR2",
      EXITDOOR = "EXITDOR5",
	  
      SPCDOOR1 = "DOORMT1",
      SPCDOOR2 = "DOORMT1",
      SPCDOOR3 = "DOORMT1",
      SPCDOOR4 = "DOORMT1",

      SW1BLUE  = "SW1CRYPT",
      SW1BRCOM  = "SW1CRYP5",
      SW1BRIK  = "SW1CRYPT",
      SW1BRN1  = "SW1CRYPT",
      SW1BRN2  = "SW1CRYPT",
      SW1BRNGN  = "SW1CRYPT",
      SW1BROWN  = "SW1CRYP5",
      SW1CMT  = "SW1CRYPT",
      SW1COMM  = "SW1CRYP3",
      SW1COMP  = "SW1CRYPT",
      SW1DIRT  = "SW1CRYP6",
      SW1EXIT  = "SW1CRYP4",
      SW1GRAY  = "SW1CRYPT",
      SW1GRAY1  = "SW1CRYPT",
      SW1GSTON  = "SW1CRYPT",
      SW1HOT  = "SW1CRYPT",
      SW1MARB  = "SW1CRYPT",
      SW1MET2  = "SW1CRYP6",
      SW1METAL  = "SW1CRYPT",
      SW1MOD1  = "SW1CRYPT",
      SW1PANEL  = "SW1CRYPT",
      SW1PIPE  = "SW1CRYP5",
      SW1ROCK  = "SW1CRYPT",
      SW1SLAD  = "SW1CRYPT",
      SW1STARG  = "SW1CRYP5",
      SW1STRTN  = "SW1CRYPT",
      SW1STON1  = "SW1CRYPT",
      SW1STON2  = "SW1CRYPT",
      SW1STON6  = "SW1CRYPT",
      SW1STONE  = "SW1CRYPT",
      SW1TEK  = "SW1CRYPT",
      SW1VINE  = "SW1CRYPT",
      SW1WOOD  = "SW1CRYPT",
      SW1ZIM  = "SW1CRYPT",
	  
      SW2BLUE  = "SW2CRYPT",
      SW2BRCOM  = "SW2CRYP5",
      SW2BRIK  = "SW2CRYPT",
      SW2BRN1  = "SW2CRYPT",
      SW2BRN2  = "SW2CRYPT",
      SW2BRNGN  = "SW2CRYPT",
      SW2BROWN  = "SW2CRYP5",
      SW2CMT  = "SW2CRYPT",
      SW2COMM  = "SW2CRYP3",
      SW2COMP  = "SW2CRYPT",
      SW2DIRT  = "SW2CRYP6",
      SW2EXIT  = "SW2CRYP4",
      SW2GRAY  = "SW2CRYPT",
      SW2GRAY1  = "SW2CRYPT",
      SW2GSTON  = "SW2CRYPT",
      SW2HOT  = "SW2CRYPT",
      SW2MARB  = "SW2CRYPT",
      SW2MET2  = "SW2CRYP6",
      SW2METAL  = "SW2CRYPT",
      SW2MOD1  = "SW2CRYPT",
      SW2PANEL  = "SW2CRYPT",
      SW2PIPE  = "SW2CRYP5",
      SW2ROCK  = "SW2CRYPT",
      SW2SLAD  = "SW2CRYPT",
      SW2STARG  = "SW2CRYP5",
      SW2STRTN  = "SW2CRYPT",
      SW2STON1  = "SW2CRYPT",
      SW2STON2  = "SW2CRYPT",
      SW2STON6  = "SW2CRYPT",
      SW2STONE  = "SW2CRYPT",
      SW2TEK  = "SW2CRYPT",
      SW2VINE  = "SW2CRYPT",
      SW2WOOD  = "SW2CRYPT",
      SW2ZIM  = "SW2CRYPT",
	  
      SW1OFF  = "SW1CRYP2",
      SW1ON  = "SW2CRYP2",
      SW2OFF  = "SW1CRYP2",
      SW2ON  = "SW2CRYP2",
	  
	  GATE1  = "CGATE1",
	  GATE2  = "CGATE1",
	  GATE3  = "CGATE1",
	  GATE4  = "CGATE1",
	  FLTTELE1  = "CGATE1",
	  
	  TLITE6_5  = "YLITE0_1",
	  TLITE6_6  = "YLITE0_1",
	  
	  LITE3  = "LITE3",
	  LITE4  = "LITE4",
	  LITE5  = "LITE5",
	  DOORSTP2  = "DOORSTP5",
	  
	  LITEBLU1  = "LITE4",
	  LITEBLU2  = "LITE4",
	  LITEBLU3  = "LITE4",
	  LITEBLU4  = "LITE4",
    },
	
	prefab_fields = 
	{
	  thing_27 = "heretical_candle_torch",
	  thing_76 = "fire_brazier",
	  thing_28 = "chandelier",
	  
	  thing_11004 = "heretical_candle_torch",
	  thing_11002 = "fire_brazier",
	  thing_11001 = "chandelier",
	  
	  tex__DOOR = "DOORMT1",
	  tex__DOOR2 = "DOORMT1",
      tex__EXITDR = "DOOREXI6",
	  
	  thing_52 = 74,
	  flat__TELE = "CGATE1",
	  tex__BIGDOOR =
      {
      GREYB = 50,
      GREYA  = 50,
      },
	  tex__SMLDOOR = "DOOR2",
	  
	  tex__TALDOOR = "DOORMT1",
	 
	  tex__NPIC = "CRYPT1",
	  
	  tex__MPIC = "CRYPT3",
	  
	  tex__WPIC = "CRYPT2",

	  tex__SW = "SW1CRYP2",
	  tex__EXITSW = "SW1CRYP2",
	},
	  
    facades =
    {
      MODWALL1 = 60,
      BRICK10 = 50,
      BROWN1 = 30,
      BROWN144 = 40,
      BROWNHUG = 20,
      BRONZE1 = 20,
      BRONZE3 = 20,
    },

    fences =
    {
      MODWALL1 = 60,
      BRICK10 = 50,
      BROWN1 = 30,
      BROWN144 = 40,
      BROWNHUG = 20,
      BRONZE1 = 20,
      BRONZE3 = 20,
    },

    cage_mats =
    {
      MODWALL1 = 60,
      BRICK10 = 50,
      BROWN1 = 30,
      BROWN144 = 40,
      BROWNHUG = 20,
      BRONZE1 = 20,
      BRONZE3 = 20,
    },
	
    liquids =
    {
      blood = 100,
      styx = 80,
      badblud  = 60,
      sludge = 25,
	  eldorado = 1,
    },
	
    cliff_trees =
    {
      maw_tree_1 = 50,
      maw_tree_2 = 50,
      maw_tree_3 = 50,
	  tombstone_1 = 50,
	  tombstone_2 = 50,
	  tombstone_3 = 50,
	  tombstone_4 = 50,
	  tombstone_5 = 50,
    },

    scenic_fences =
    {
      MIDBARS3 = 8,
      MIDSPACE = 8,
      MIDBARS1 = 8,
      BRNSMALC = 2
    },

    sink_style =
    {
      sharp = 1,
      curved = 1
    },
	
	passable_decor =
    {
      mutilated_elf = 15,
      dead_elf = 20,
	  dead_elf2 = 20,
	  elf_bones = 15,
	  elf_gibs1 = 10,
	  elf_gibs2 = 10,
	  elf_gibs3 = 10,
    },
	
    park_decor =
    {
      maw_tree_1 = 50,
      maw_tree_2 = 50,
      maw_tree_3 = 50,
	  tombstone_1 = 50,
	  tombstone_2 = 50,
	  tombstone_3 = 50,
	  tombstone_4 = 50,
	  tombstone_5 = 50,
    },
},

  dome = 
{
    wall_groups =
    {
      gtd_wall_hell_vaults = 90,
      gtd_wall_hell_vaults_ftex = 70,
      cran_icetubes_set = 80,
      gtd_wall_hell_mindscrew = 50,
      gtd_wall_hell_mindscrew_skywall = 40,
      runes2 = 60,
      runes3 = 60,
      runes4 = 60,
      runes5 = 60,
    },
	
	skyboxes =
    {
      craneo_heathen_dome_skybox = 50,
    },

    facades =
    {
      SNWBRCK = 50,
      SNWBRK2 = 40,
      SNWBRK3 = 40,
      SNWBRK4 = 40,
      SNWBRK5 = 40,
      SNWBRK6 = 40,
      SNWBRK7 = 40,
      SNWBRK8 = 40,
    },

    fences =
    {
      SNWBRCK = 50,
      SNWBRK2 = 40,
      SNWBRK3 = 40,
      SNWBRK4 = 40,
      SNWBRK5 = 40,
      SNWBRK6 = 40,
      SNWBRK7 = 40,
      SNWBRK8 = 40,
    },

    cage_mats =
    {
      FIREBLU1 = 60,
      FIREBLU2 = 60,
      ICE = 80,
      SNWBRCK = 50,
      SNWBRK2 = 40,
      SNWBRK3 = 40,
      SNWBRK4 = 40,
      SNWBRK5 = 40,
      SNWBRK6 = 40,
      SNWBRK7 = 40,
      SNWBRK8 = 40,
    },
	
    outdoor_wall_groups =
    {
      hell_o_rising_energy = 90,
      hell_o_blood_ocatgon = 80,
    },
	
    window_groups =
    {
      gtd_window_hexagon = 90,
      gtd_window_low = 80,
      gtd_window_slump_tall = 80,
    },
	
    liquids =
    {
      bluslud = 100,
      water2 = 70,
      water  = 70,
	  bluemag = 50,
	  eldorado = 1,
    },
	
    cliff_trees =
    {
      dome_ice_1 = 50,
      dome_ice_2 = 50,
    },

    scenic_fences =
    {
      MIDBARS3 = 8,
      MIDSPACE = 8,
      MIDBARS1 = 8,
      BRNSMALC = 2
    },

    sink_style =
    {
      sharp = 1,
      curved = 1
    },
	
	passable_decor =
    {
      mutilated_elf = 15,
      dead_elf = 20,
	  dead_elf2 = 20,
	  elf_bones = 15,
	  elf_gibs1 = 10,
	  elf_gibs2 = 10,
	  elf_gibs3 = 10,
    },
	
    prefab_remap =
    {
      BIGDOOR1 = "ICEDOOR1",
      BIGDOOR2 = "ICEDOOR3",
      BIGDOOR3 = "ICEDOOR3",
      BIGDOOR4 = "ICEDOOR2",
      DOOR2 = "DOOR1",
      DOOR3 = "DOOR1",
	  ICKDOOR1 = "DOOR1",
      EXITDOOR = "EXITDOOR",
	  
      SPCDOOR1 = "ICEDOORL",
      SPCDOOR2 = "ICEDOORL",
      SPCDOOR3 = "ICEDOORL",
      SPCDOOR4 = "ICEDOORL",
	  
      SW1BLUE  = "SW1DOME",
      SW1BRCOM  = "SW1DOME5",
      SW1BRIK  = "SW1DOME",
      SW1BRN1  = "SW1DOME",
      SW1BRN2  = "SW1DOME",
      SW1BRNGN  = "SW1DOME",
      SW1BROWN  = "SW1DOME5",
      SW1CMT  = "SW1DOME",
      SW1COMM  = "SW1DOME3",
      SW1COMP  = "SW1DOME",
      SW1DIRT  = "SW1DOME6",
      SW1EXIT  = "SW1DOME4",
      SW1GRAY  = "SW1DOME",
      SW1GRAY1  = "SW1DOME",
      SW1GSTON  = "SW1DOME",
      SW1HOT  = "SW1DOME",
      SW1MARB  = "SW1DOME",
      SW1MET2  = "SW1DOME6",
      SW1METAL  = "SW1DOME",
      SW1MOD1  = "SW1DOME",
      SW1PANEL  = "SW1DOME",
      SW1PIPE  = "SW1DOME5",
      SW1ROCK  = "SW1DOME",
      SW1SLAD  = "SW1DOME",
      SW1STARG  = "SW1DOME5",
      SW1STRTN  = "SW1DOME",
      SW1STON1  = "SW1DOME",
      SW1STON2  = "SW1DOME",
      SW1STON6  = "SW1DOME",
      SW1STONE  = "SW1DOME",
      SW1TEK  = "SW1DOME",
      SW1VINE  = "SW1DOME",
      SW1WOOD  = "SW1DOME",
      SW1ZIM  = "SW1DOME",
	  
      SW2BLUE  = "SW2DOME",
      SW2BRCOM  = "SW2DOME5",
      SW2BRIK  = "SW2DOME",
      SW2BRN1  = "SW2DOME",
      SW2BRN2  = "SW2DOME",
      SW2BRNGN  = "SW2DOME",
      SW2BROWN  = "SW2DOME5",
      SW2CMT  = "SW2DOME",
      SW2COMM  = "SW2DOME3",
      SW2COMP  = "SW2DOME",
      SW2DIRT  = "SW2DOME6",
      SW2EXIT  = "SW2DOME4",
      SW2GRAY  = "SW2DOME",
      SW2GRAY1  = "SW2DOME",
      SW2GSTON  = "SW2DOME",
      SW2HOT  = "SW2DOME",
      SW2MARB  = "SW2DOME",
      SW2MET2  = "SW2DOME6",
      SW2METAL  = "SW2DOME",
      SW2MOD1  = "SW2DOME",
      SW2PANEL  = "SW2DOME",
      SW2PIPE  = "SW2DOME5",
      SW2ROCK  = "SW2DOME",
      SW2SLAD  = "SW2DOME",
      SW2STARG  = "SW2DOME5",
      SW2STRTN  = "SW2DOME",
      SW2STON1  = "SW2DOME",
      SW2STON2  = "SW2DOME",
      SW2STON6  = "SW2DOME",
      SW2STONE  = "SW2DOME",
      SW2TEK  = "SW2DOME",
      SW2VINE  = "SW2DOME",
      SW2WOOD  = "SW2DOME",
      SW2ZIM  = "SW2DOME",
	  
      SW1OFF  = "SW1DOME2",
      SW1ON  = "SW2DOME2",
      SW2OFF  = "SW1DOME2",
      SW2ON  = "SW2DOME2",
	  
	  GATE1  = "SCGATEA1",
	  GATE2  = "SCGATEA1",
	  GATE3  = "SCGATEA1",
	  GATE4  = "SCGATEA1",
	  FLTTELE1  = "SCGATEA1",
    --  FLOOR05  = "FRZFLAT",
    --  MOSSRCK1  = "FRZRCK",
	
	  TLITE6_5  = "BLITE0_1",
	  TLITE6_6  = "BLITE0_1",
	  
	  LITE3  = "LITEBLU2",
	  LITE4  = "LITEBLU3",
	  LITE5  = "LITEBLU4",
	  DOORSTP2  = "DOORSTP4",
	  
	  LITEBLU1  = "LITEBLU1",
	  LITEBLU2  = "LITEBLU2",
	  LITEBLU3  = "LITEBLU3",
	  LITEBLU4  = "LITEBLU4",
    },
	
	prefab_fields = 
	{ 
	  thing_27 = "serpent_torch",
	  thing_76 = "heretical_snake_pillar",
	  thing_28 = "heretical_ceiling_brazier",
	  
	  thing_11004 = "serpent_torch",
	  thing_11002 = "heretical_snake_pillar",
	  thing_11001 = "heretical_ceiling_brazier",
	  
	  tex__DOOR = "ICEDOORL",
	  tex__DOOR2 = "ICEDOORL",
      tex__EXITDR = "DOOREXIT",
	  
	  thing_74 = 52,
	  flat__TELE = "SCGATEA1",
	  tex__BIGDOOR =
      {
      ICEDOOR1 = 50,
      ICEDOOR2  = 50,
      ICEDOOR3  = 50,
      },
	  tex__SMLDOOR = "DOOR1",
	  
	  tex__TALDOOR = "ICEDOORL",
	  
	  tex__NPIC = "BLUDEM",
	  
	  tex__MPIC = "DRAKE",
	  
	  tex__WPIC = "MEDUS2",
	  
	  tex__SW = "SW1DOME2",
	  tex__EXITSW = "SW1DOME2",
	},
	
    park_decor =
    {
      dome_ice_1 = 50,
      dome_ice_2 = 50,
	  dome_pillar1 = 40,
	  dome_pillar2 = 40,
	  dome_pillar3 = 40,
	  dome_pillar4 = 40,
	  dome_pillar5 = 40,
	  dsparil_statue = 10,
	  dsparil_banner = 30,
    },
},

  demense = 
{	

    wall_groups =
    {
      gtd_library = 90,
      gtd_distirelly = 70,
      gtd_woodframe_green = 70,
      gtd_mining_set = 70,
      gtd_writhing_mass = 80,
      gtd_epic_craneo_paintings = 80,
      gtd_armory = 60,
	  gtd_wall_sewer = 70,
    },
	
    outdoor_wall_groups =
    {
      hell_o_wood_brace = 90,
      hell_o_wooden_palisades = 80,
      hell_o_wood_panel_red_banners = 80,
    },
	
    window_groups =
    {
      gtd_window_absurdly_open = 70,
      grate = 90,
    },
	
    liquids =
    {
      swamp1 = 90,
      swamp2  = 70,
      sludge = 50,
      muck = 40,
	  eldorado = 1,
    },
	
    facades =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      ZIMMER1  = 10,
      ZIMMER2  = 10,
      ZIMMER7  = 20,
    },

    prefab_remap =
    { 
      DOOR2 = "ICKDOOR1",
      DOOR1 = "ICKDOOR1",
      DOOR3 = "ICKDOOR1",
      EXITDOOR = "EXITDOR4",
	  
      SPCDOOR1 = "DOORW03",
      SPCDOOR2 = "DOORW03",
      SPCDOOR3 = "DOORW03",
      SPCDOOR4 = "DOORW03",
	  
      SW1BLUE  = "SW1MANOR",
      SW1BRCOM  = "SW1MANO5",
      SW1BRIK  = "SW1MANOR",
      SW1BRN1  = "SW1MANOR",
      SW1BRN2  = "SW1MANOR",
      SW1BRNGN  = "SW1MANOR",
      SW1BROWN  = "SW1MANO5",
      SW1CMT  = "SW1MANOR",
      SW1COMM  = "SW1MANO3",
      SW1COMP  = "SW1MANOR",
      SW1DIRT  = "SW1MANO6",
      SW1EXIT  = "SW1MANO4",
      SW1GRAY  = "SW1MANOR",
      SW1GRAY1  = "SW1MANOR",
      SW1GSTON  = "SW1MANOR",
      SW1HOT  = "SW1MANOR",
      SW1MARB  = "SW1MANOR",
      SW1MET2  = "SW1MANO6",
      SW1METAL  = "SW1MANOR",
      SW1MOD1  = "SW1MANOR",
      SW1PANEL  = "SW1MANOR",
      SW1PIPE  = "SW1MANO5",
      SW1ROCK  = "SW1MANOR",
      SW1SLAD  = "SW1MANOR",
      SW1STARG  = "SW1MANO5",
      SW1STRTN  = "SW1MANOR",
      SW1STON1  = "SW1MANOR",
      SW1STON2  = "SW1MANOR",
      SW1STON6  = "SW1MANOR",
      SW1STONE  = "SW1MANOR",
      SW1TEK  = "SW1MANOR",
      SW1VINE  = "SW1MANOR",
      SW1WOOD  = "SW1MANOR",
      SW1ZIM  = "SW1MANOR",
	  
      SW2BLUE  = "SW2MANOR",
      SW2BRCOM  = "SW2MANO5",
      SW2BRIK  = "SW2MANOR",
      SW2BRN1  = "SW2MANOR",
      SW2BRN2  = "SW2MANOR",
      SW2BRNGN  = "SW2MANOR",
      SW2BROWN  = "SW2MANO5",
      SW2CMT  = "SW2MANOR",
      SW2COMM  = "SW2MANO3",
      SW2COMP  = "SW2MANOR",
      SW2DIRT  = "SW2MANO6",
      SW2EXIT  = "SW2MANO4",
      SW2GRAY  = "SW2MANOR",
      SW2GRAY1  = "SW2MANOR",
      SW2GSTON  = "SW2MANOR",
      SW2HOT  = "SW2MANOR",
      SW2MARB  = "SW2MANOR",
      SW2MET2  = "SW2MANO6",
      SW2METAL  = "SW2MANOR",
      SW2MOD1  = "SW2MANOR",
      SW2PANEL  = "SW2MANOR",
      SW2PIPE  = "SW2MANO5",
      SW2ROCK  = "SW2MANOR",
      SW2SLAD  = "SW2MANOR",
      SW2STARG  = "SW2MANO5",
      SW2STRTN  = "SW2MANOR",
      SW2STON1  = "SW2MANOR",
      SW2STON2  = "SW2MANOR",
      SW2STON6  = "SW2MANOR",
      SW2STONE  = "SW2MANOR",
      SW2TEK  = "SW2MANOR",
      SW2VINE  = "SW2MANOR",
      SW2WOOD  = "SW2MANOR",
      SW2ZIM  = "SW2MANOR",
	  
      SW1OFF  = "SW1MANO2",
      SW1ON  = "SW2MANO2",
      SW2OFF  = "SW1MANO2",
      SW2ON  = "SW2MANO2",
	  
	  GATE1  = "FLTTEL21",
	  GATE2  = "FLTTEL21",
	  GATE3  = "FLTTEL21",
	  GATE4  = "FLTTEL21",
	  FLTTELE1  = "FLTTEL21",
	  
	  TLITE6_5  = "GLITE0_1",
	  TLITE6_6  = "GLITE0_1",
	  
	  LITE3  = "RITEGRN",
	  LITE4  = "RITEGRN",
	  LITE5  = "RITEGRN",
	  DOORSTP2  = "DOORSTP6",
	  
	  LITEBLU1  = "RITEGRN",
	  LITEBLU2  = "RITEGRN",
	  LITEBLU3  = "RITEGRN",
	  LITEBLU4  = "RITEGRN",
    },
	
	prefab_fields = 
	{ 
	  thing_27 = "heretical_candle_torch",
	  thing_76 = "heretical_brass_torch",
	  thing_28 = "chandelier",
	  
	  thing_11004 = "heretical_candle_torch",
	  thing_11002 = "heretical_brass_torch",
	  thing_11001 = "chandelier",
	  
	  tex__DOOR = "DOORW03",
	  tex__DOOR2 = "DOORW03",
      tex__EXITDR = "DOOREXI5",
	  
	  thing_74 = 0,
	  thing_52 = 0,
	  flat__TELE = "FLTTEL21",
	  tex__BIGDOOR =
      {
      BIGDOOR2 = 50,
      BIGDOOR3  = 50,
      BIGDOOR4  = 50,
      },
	  tex__SMLDOOR = "ICKDOOR1",
	  
	  tex__TALDOOR = "DOORW03",
	  
	  tex__NPIC = "MANOR1",
	  
	  tex__MPIC = "MANOR3",
	  
	  tex__WPIC = "MANOR2",
	  
	  tex__SW = "SW1MANO2",
	  tex__EXITSW = "SW1MANO2",
	},
	
	passable_decor =
    {
      mutilated_elf = 15,
      dead_elf = 20,
	  dead_elf2 = 20,
	  elf_bones = 15,
	  elf_gibs1 = 10,
	  elf_gibs2 = 10,
	  elf_gibs3 = 10,
    },
	
    fences =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      ZIMMER1  = 10,
      ZIMMER2  = 10,
      ZIMMER7  = 20,
    },

    cage_mats =
    {
      SKSNAKE2 = 60,
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      ZIMMER1  = 10,
      ZIMMER2  = 10,
      ZIMMER7  = 20,
    },
	
    cliff_trees =
    {
      demense_tree_1 = 50,
      demense_tree_2 = 50,
      demense_tree_3 = 50,
      demense_tree_4 = 50,
      demense_tree_5 = 50,
      demense_tree_6 = 50,
	  big_purpleshroom = 10,
	  large_purpleshroom = 40,
	  medium_purpleshroom = 50,
	  small_purpleshroom = 60,
    },

    scenic_fences =
    {
      VILL06 = 8,
      MIDVINE1 = 8,
      MIDVINE2 = 8,
      MIDSPACE = 2,
    },

    sink_style =
    {
      sharp = 1,
      curved = 1,
    },
	
    park_decor =
    {
      demense_tree_1 = 50,
      demense_tree_2 = 50,
      demense_tree_3 = 50,
      demense_tree_4 = 50,
      demense_tree_5 = 50,
      demense_tree_6 = 50,
	  big_purpleshroom = 10,
	  large_purpleshroom = 40,
	  medium_purpleshroom = 50,
	  small_purpleshroom = 60,
    },
},

  city =
  {
    liquids =
    {
	  eldorado = 1,
    },
	
    narrow_halls =
    {
      --mineshaft = 50,
    },

    wall_groups =
    {
      gtd_full_storage = 70,
    },
	  
    outdoor_wall_groups =
    {
      heretic_citadel_windows = 90,
      hell_o_destroyed_city_facade = 60,
    },
	
    cliff_trees =
    {
      garden_tree_1 = 50,
      garden_tree_2 = 50,
      garden_tree_3 = 50,
      garden_tree_4 = 50,
      garden_tree_5 = 50,
    },

	passable_decor =
    {
      mutilated_elf = 15,
      dead_elf = 20,
	  dead_elf2 = 20,
	  elf_bones = 15,
	  elf_gibs1 = 10,
	  elf_gibs2 = 10,
	  elf_gibs3 = 10,
    },
	
    park_decor =
    {
      garden_tree_1 = 50,
      garden_tree_2 = 50,
      garden_tree_3 = 50,
      garden_tree_4 = 50,
      garden_tree_5 = 50,
    },
	
    facades =
    {
      BIGBRIK1 = 40,
      BIGBRIK2 = 30,
      MODWALL1 = 30,
      STONE3   = 30,
      STONE2   = 30,
      CEMENT7  = 20,
      CEMENT9  = 20,
      BRICK12  = 20,
      BRICK7   = 20,
      BRICK5   = 20,
      STONE    = 20,
      BRICK6   = 15,
      BRICK8   = 15,
      BRICK9   = 15,
      STUCCO   = 15,
      BROVINE2 = 10,
      BRICK10 = 10,
      BRICK11 = 10,
      METAL2  = 10,
      GRAYVINE = 10,
      METAL1   = 5,
      BROWN1   = 5,
      BSTONE1  = 10,
      BSTONE2  = 10
    },

    fences =
    {
      BSTONE2  = 60,
      WOOD5    = 60,
      BSTONE1  = 40,
      STONE4   = 30,

      CEMENT9  = 30,
      BRICK12  = 20,
      METAL2   = 20,
      BRICK10  = 10,
      BRICK11  = 10,
      STUCCO   = 10,
      STUCCO3  = 10,

      GRAY5 = 50,
      GRAY7 = 50
    },

    cage_mats =
    {
      WOOD1    = 60,
      PANEL4   = 60,
      MODWALL1 = 60,
      CEMENT9  = 60,
      PIPE4    = 40,
      PANEL1   = 40,
      BROWN1   = 40,
      BROWN144 = 40,
      STONE2   = 20,
      STONE3   = 20,
      WOODVERT = 20,
      METAL2   = 20,
      BSTONE1  = 20
    },

    prefab_remap =
    {
      BIGDOOR1 = "DOORXN01",
      BIGDOOR2 = "DOORZB01",
      BIGDOOR3 = "DOORZB01",
      BIGDOOR4 = "DOORXN01",
      DOOR2 = "DOORW02",
      DOOR1 = "DOORW02",
      DOOR3 = "DOORW02",
	  ICKDOOR1 = "DOORW02",
      EXITDOOR = "EXITDOR2",
	  
      SPCDOOR1 = "DOORW03",
      SPCDOOR2 = "DOORW03",
      SPCDOOR3 = "DOORW03",
      SPCDOOR4 = "DOORW03",
	  
      SW1BLUE  = "SW1CITY",
      SW1BRCOM  = "SW1CITY5",
      SW1BRIK  = "SW1CITY",
      SW1BRN1  = "SW1CITY",
      SW1BRN2  = "SW1CITY",
      SW1BRNGN  = "SW1CITY",
      SW1BROWN  = "SW1CITY5",
      SW1CMT  = "SW1CITY",
      SW1COMM  = "SW1CITY3",
      SW1COMP  = "SW1CITY",
      SW1DIRT  = "SW1CITY6",
      SW1EXIT  = "SW1CITY4",
      SW1GRAY  = "SW1CITY",
      SW1GRAY1  = "SW1CITY",
      SW1GSTON  = "SW1CITY",
      SW1HOT  = "SW1CITY",
      SW1MARB  = "SW1CITY",
      SW1MET2  = "SW1CITY6",
      SW1METAL  = "SW1CITY",
      SW1MOD1  = "SW1CITY",
      SW1PANEL  = "SW1CITY",
      SW1PIPE  = "SW1CITY5",
      SW1ROCK  = "SW1CITY",
      SW1SLAD  = "SW1CITY",
      SW1STARG  = "SW1CITY5",
      SW1STRTN  = "SW1CITY",
      SW1STON1  = "SW1CITY",
      SW1STON2  = "SW1CITY",
      SW1STON6  = "SW1CITY",
      SW1STONE  = "SW1CITY",
      SW1TEK  = "SW1CITY",
      SW1VINE  = "SW1CITY",
      SW1WOOD  = "SW1CITY",
      SW1ZIM  = "SW1CITY",
	  
      SW2BLUE  = "SW2CITY",
      SW2BRCOM  = "SW2CITY5",
      SW2BRIK  = "SW2CITY",
      SW2BRN1  = "SW2CITY",
      SW2BRN2  = "SW2CITY",
      SW2BRNGN  = "SW2CITY",
      SW2BROWN  = "SW2CITY5",
      SW2CMT  = "SW2CITY",
      SW2COMM  = "SW2CITY3",
      SW2COMP  = "SW2CITY",
      SW2DIRT  = "SW2CITY6",
      SW2EXIT  = "SW2CITY4",
      SW2GRAY  = "SW2CITY",
      SW2GRAY1  = "SW2CITY",
      SW2GSTON  = "SW2CITY",
      SW2HOT  = "SW2CITY",
      SW2MARB  = "SW2CITY",
      SW2MET2  = "SW2CITY6",
      SW2METAL  = "SW2CITY",
      SW2MOD1  = "SW2CITY",
      SW2PANEL  = "SW2CITY",
      SW2PIPE  = "SW2CITY5",
      SW2ROCK  = "SW2CITY",
      SW2SLAD  = "SW2CITY",
      SW2STARG  = "SW2CITY5",
      SW2STRTN  = "SW2CITY",
      SW2STON1  = "SW2CITY",
      SW2STON2  = "SW2CITY",
      SW2STON6  = "SW2CITY",
      SW2STONE  = "SW2CITY",
      SW2TEK  = "SW2CITY",
      SW2VINE  = "SW2CITY",
      SW2WOOD  = "SW2CITY",
      SW2ZIM  = "SW2CITY",
	  
      SW1OFF  = "SW1CITY2",
      SW1ON  = "SW2CITY2",
      SW2OFF  = "SW1CITY2",
      SW2ON  = "SW2CITY2",
	  
	  GATE1  = "FLOOR231",
	  GATE2  = "FLOOR231",
	  GATE3  = "FLOOR231",
	  GATE4  = "FLOOR231",
	  FLTTELE1  = "FLOOR231",
	  
	  TLITE6_5  = "TLITE6_6",
	  TLITE6_6  = "TLITE6_6",
	  
	  LITE3  = "RITEWIT",
	  LITE4  = "RITEWIT",
	  LITE5  = "RITEWIT",
	  DOORSTP2  = "DOORSTP2",
	  
	  LITEBLU1  = "RITEWIT",
	  LITEBLU2  = "RITEWIT",
	  LITEBLU3  = "RITEWIT",
	  LITEBLU4  = "RITEWIT",
    },

	prefab_fields = 
	{ 
	  thing_27 = "heretical_candle_torch",
	  thing_76 = "heretical_brass_torch",
	  thing_28 = "chandelier",
	  
	  thing_11004 = "heretical_candle_torch",
	  thing_11002 = "heretical_brass_torch",
	  thing_11001 = "chandelier",
	  
	  tex__DOOR = "DOORXN01",
	  tex__DOOR2 = "DOORXN01",
      tex__EXITDR = "DOOREXI2",
	  
	  thing_74 = 52,
	  flat__TELE = "FLOOR231",
	  tex__BIGDOOR =
      {
      DOORXN01 = 50,
      DOORZB01  = 50,
      },
	  tex__SMLDOOR = "DOORW02",
	  
	  tex__TALDOOR =
      {
      DOORXN01 = 50,
      DOORZB01  = 50,
      },
	  
	  tex__NPIC = "HUMAN1",
	  
	  tex__MPIC = "HUMAN3",
	  
	  tex__WPIC = "HUMAN2",
	  
	  tex__SW = "SW1CITY2",
	  tex__EXITSW = "SW1CITY2",
	},
	
    street_sinks =
    {
      floor_default_streets = 1,
    },

    style_list =
    {
      caves = { none=60, few=40, some=12, heaps=2 },
      outdoors = { none=10, few=35, some=90, heaps=30 },
      big_outdoor_rooms = { none=15, few=40, some=70, heaps=20 },
      pictures = { few=20, some=80, heaps=30 },
      hallways = { none=30, few=80, some=15, heaps=10 },
      windows = { few=25, some=50, heaps=90 },
      cages = { none=30, few=50, some=20, heaps=10 },
      liquids = { none=45, few=30, some=20, heaps=5 },
      doors = { few=20, some=70, heaps=30 },
      beams  = { none=10, few=60, some=40, heaps=10 },
      steepness = { few=25, some=50, heaps=90 },
      big_rooms = { none=25, few=40, some=25, heaps=15 },
      ambushes = { none=5, few=20, some=75, heaps=30 },
      teleporters = { none=20, few=30, some=65, heaps=10 },
      keys = { none=15, few=50, some=50, heaps=20 },
      trikeys = { none=10, few=40, some=80, heaps=20 },
      symmetry = { none=40, few=30, some=35, heaps=25 },
      switches = { none=20, few=60, some=40, heaps=10 },
      secrets = { few=5, some=80, heaps=25 },
      scenics  = { none=5,  few=25, some=40, heaps=80},
      traps   = { none=10, few=40, some=70, heaps=25 },
      barrels = { none=10, few=50, some=20, heaps=5 },
      fences  = { none=5, few=20, some=80, heaps=15 },
      porches = { none=5, few=15, some=80, heaps=50 }
    },

    ceil_light_prob = 65,

    scenic_fences =
    {
      BLFENC4  = 8,
      MIDBARS3 = 4,
      MIDBARS1 = 4,
      BRNSMALC = 2
    },

    sink_style =
    {
      sharp = 1,
      curved = 1
    },

  },

  ------------------------------------

  maw =
  {
    liquids =
    {
      lava = 90,
      magma  = 60,
      badblud = 50,
	  eldorado = 1,
    },
	
    wall_groups =
    {
      gtd_furnace_face = 70,
      gtd_wall_marbface = 80,
      lowhell3 = 60,
      lowhell2 = 60,
      lowhell1 = 60,
    },
	
    outdoor_wall_groups =
    {
      hell_o_stone_brace = 80,
      hell_o_giant_stone_faces = 100,
      hell_o_rising_spfaces = 70,
      hell_o_lava_falls = 90,
      hell_o_huge_overhang = 80,
      hell_o_flying_alcoves = 90,
      hell_o_extruded_arch = 80,
    },
	
    narrow_halls =
    {
      --mineshaft = 50,
    },

    cliff_trees =
    {
      maw_tree_1 = 50,
      maw_tree_2 = 50,
      maw_tree_3 = 50,
	  impaled_elf_1 = 50,
	  impaled_elf_2 = 50,
	  decapitated_elf_1 = 50,
	  decapitated_elf_2 = 50,
	  burning_witch = 10,
    },

    park_decor =
    {
      maw_tree_1 = 50,
      maw_tree_2 = 50,
      maw_tree_3 = 50,
	  impaled_elf_1 = 50,
	  impaled_elf_2 = 50,
	  decapitated_elf_1 = 50,
	  decapitated_elf_2 = 50,
	  burning_witch = 10,
    },
	
	passable_decor =
    {
      mutilated_elf = 15,
      dead_elf = 20,
	  dead_elf2 = 20,
	  elf_bones = 15,
	  elf_gibs1 = 10,
	  elf_gibs2 = 10,
	  elf_gibs3 = 10,
    },
	
    facades =
    {
      MARBGRAY = 60,
      SP_HOT1  = 40,
      GSTONE1  = 40,
      STONE3   = 30,
      SKINMET2 = 20,
      GSTVINE1 = 20,
      GSTVINE2 = 20,
      WOOD3    = 15,
      WOOD5    = 15,
      STONE2   = 10,
      STONE    = 10,
      MARBLE1  = 10,
      MARBLE2  = 10,
      MARBLE3  = 10,
      BSTONE1  = 15,
      BSTONE2  = 15,
      SKINMET1 = 10,
      BROWN1  = 10,
      METAL2  = 5,
      BROWNGRN = 5,
      BROVINE2 = 5
    },

    fences =
    {
      MARBLE3  = 60,
      WOOD5    = 60,
      WOOD3    = 40,
      WOOD1    = 40,
      STONE4   = 40,
      BSTONE2  = 40,
      MODWALL1 = 30,
      MARBGRAY = 30,
      BSTONE1  = 20,
      ICKWALL3 = 20,
      PIPE4    = 20,
      GSTVINE1 = 15,
      GSTVINE2 = 15,
      SP_HOT1  = 15,
      BRICK10  = 10,
      SKINCUT  = 10,
    },

    cage_mats =
    {
     ICKWALL1 = 60,
     REDWALL  = 60,
     SUPPORT3 = 60,
     BSTONE2  = 40,
     ASHWALL3 = 40,
     MARBGRAY = 40,
     ICKWALL2 = 40,
     MODWALL1 = 40,
     SKINFACE = 40,
     STONE6   = 40,
     ICKWALL3 = 40,
     STONE3   = 40,
     WOOD9    = 40,
     BROWNHUG = 20,
     SKINCUT  = 20,
     METAL2   = 20,
     ICKWALL7 = 20,
     SKSPINE1 = 20,
     STONE4   = 20,
     TANROCK8 = 20
    },

    prefab_remap =
    {
      BIGDOOR1 = "BIGDOOR6",
      BIGDOOR2 = "BIGDOOR7",
      BIGDOOR3 = "BIGDOOR7",
      BIGDOOR4 = "BIGDOOR5",
      DOOR2 = "DOOR3",
      DOOR1 = "DOOR3",
	  ICKDOOR1 = "DOOR3",
      EXITDOOR = "EXITDOR3",

      SW1BLUE  = "SW1MAW",
      SW1BRCOM  = "SW1MAW5",
      SW1BRIK  = "SW1MAW",
      SW1BRN1  = "SW1MAW",
      SW1BRN2  = "SW1MAW",
      SW1BRNGN  = "SW1MAW",
      SW1BROWN  = "SW1MAW5",
      SW1CMT  = "SW1MAW",
      SW1COMM  = "SW1MAW3",
      SW1COMP  = "SW1MAW",
      SW1DIRT  = "SW1MAW6",
      SW1EXIT  = "SW1MAW4",
      SW1GRAY  = "SW1MAW",
      SW1GRAY1  = "SW1MAW",
      SW1GSTON  = "SW1MAW",
      SW1HOT  = "SW1MAW",
      SW1MARB  = "SW1MAW",
      SW1MET2  = "SW1MAW6",
      SW1METAL  = "SW1MAW",
      SW1MOD1  = "SW1MAW",
      SW1PANEL  = "SW1MAW",
      SW1PIPE  = "SW1MAW5",
      SW1ROCK  = "SW1MAW",
      SW1SLAD  = "SW1MAW",
      SW1STARG  = "SW1MAW5",
      SW1STRTN  = "SW1MAW",
      SW1STON1  = "SW1MAW",
      SW1STON2  = "SW1MAW",
      SW1STON6  = "SW1MAW",
      SW1STONE  = "SW1MAW",
      SW1TEK  = "SW1MAW",
      SW1VINE  = "SW1MAW",
      SW1WOOD  = "SW1MAW",
      SW1ZIM  = "SW1MAW",
	  
      SW2BLUE  = "SW2MAW",
      SW2BRCOM  = "SW2MAW5",
      SW2BRIK  = "SW2MAW",
      SW2BRN1  = "SW2MAW",
      SW2BRN2  = "SW2MAW",
      SW2BRNGN  = "SW2MAW",
      SW2BROWN  = "SW2MAW5",
      SW2CMT  = "SW2MAW",
      SW2COMM  = "SW2MAW3",
      SW2COMP  = "SW2MAW",
      SW2DIRT  = "SW2MAW6",
      SW2EXIT  = "SW2MAW4",
      SW2GRAY  = "SW2MAW",
      SW2GRAY1  = "SW2MAW",
      SW2GSTON  = "SW2MAW",
      SW2HOT  = "SW2MAW",
      SW2MARB  = "SW2MAW",
      SW2MET2  = "SW2MAW6",
      SW2METAL  = "SW2MAW",
      SW2MOD1  = "SW2MAW",
      SW2PANEL  = "SW2MAW",
      SW2PIPE  = "SW2MAW5",
      SW2ROCK  = "SW2MAW",
      SW2SLAD  = "SW2MAW",
      SW2STARG  = "SW2MAW5",
      SW2STRTN  = "SW2MAW",
      SW2STON1  = "SW2MAW",
      SW2STON2  = "SW2MAW",
      SW2STON6  = "SW2MAW",
      SW2STONE  = "SW2MAW",
      SW2TEK  = "SW2MAW",
      SW2VINE  = "SW2MAW",
      SW2WOOD  = "SW2MAW",
      SW2ZIM  = "SW2MAW",
	  
      SW1OFF  = "SW1MAW2",
      SW1ON  = "SW2MAW2",
      SW2OFF  = "SW1MAW2",
      SW2ON  = "SW2MAW2",
	  
	  GATE1  = "HLTTELE1",
	  GATE2  = "HLTTELE1",
	  GATE3  = "HLTTELE1",
	  GATE4  = "HLTTELE1",
	  FLTTELE1  = "HLTTELE1",
	  
	  TLITE6_5  = "TLITE6_5",
	  TLITE6_6  = "TLITE6_5",
	  
	  LITE3  = "RITERED",
	  LITE4  = "RITERED",
	  LITE5  = "RITERED",
	  DOORSTP2  = "DOORSTP3",
	  
	  LITEBLU1  = "RITERED",
	  LITEBLU2  = "RITERED",
	  LITEBLU3  = "RITERED",
	  LITEBLU4  = "RITERED",
    },

	prefab_fields = 
	{ 
	  thing_27 = "serpent_torch",
	  thing_76 = "fire_brazier",
	  thing_28 = "heretical_ceiling_brazier",
	  
	  thing_11004 = "serpent_torch",
	  thing_11002 = "fire_brazier",
	  thing_11001 = "heretical_ceiling_brazier",
	  
	  tex__DOOR = "WOODMET2",
	  tex__DOOR2 = "WOODMET2",
      tex__EXITDR = "DOOREXI3",
	  
	  thing_52 = 74,
	  flat__TELE = "HLTTELE1",
	  tex__BIGDOOR =
      {
      BIGDOOR5 = 50,
      BIGDOOR6  = 50,
      BIGDOOR7 = 50,
      },
	  tex__SMLDOOR = "DOOR3",
	  
	  tex__TALDOOR = "WOODMET2",
	  
	  tex__NPIC = "HELDEM1",
	  
	  tex__MPIC = "HELDEM3",
	  
	  tex__WPIC = "HELDEM2",
	  
	  tex__SW = "SW1MAW2",
	  tex__EXITSW = "SW1MAW2",
	},
	
    street_sinks =
    {
      floor_default_streets = 1,
    },

    wall_group_prob = 65,

    style_list =
    {
      doors = { none=15, few=30, some=65, heaps=25 },
      outdoors = { none=10, few=35, some=60, heaps=15 },
      steepness = { few=25, some=70, heaps=40 },
      pictures = { few=50, some=50, heaps=70 },
      big_rooms = { none=25, few=60, some=15, heaps=10 },
      big_outdoor_rooms = { none=25, few=25, some=80, heaps=10 },
      ambushes = { none=10, few=15, some=55, heaps=35 },
      hallways = { none=20, few=60, some=15, heaps=5 },
      teleporters = { none=15, few=25, some=60, heaps=10 },
      keys = { none=15, few=40, some=60, heaps=25 },
      trikeys = { none=10, few=50, some=80, heaps=25 },
      liquids = { none=20, few=45, some=25, heaps=15 },
      traps = { few=20, some=70, heaps=40 },
      switches = { none=25, few=60, some=35, heaps=10 },
      cages    = { none=15, few=25, some=65, heaps=10 },
      symmetry = { none=55, few=25, some=40, heaps=20 },
      secrets = { few=65, some=40, heaps=10 },
      scenics = { none=5,  few=30, some=60, heaps=80},
      caves = { none=60, few=35, some=8, heaps=3 },
      barrels = { none=45, few=15, some=5, heaps=4 },
      porches = { none=0, few=25, some=40, heaps=80 },
      fences  = { none=5, few=15, some=80, heaps=25 },
      beams  = { none=15, few=60, some=30, heaps=10 }
    },

    scenic_fences =
    {
      MIDBRN1 = 3,
      MIDGRATE = 10,
      MIDBARS3 = 8
    },

    sink_style =
    {
      sharp = 0.1,
      curved = 1
    },

    ceil_light_prob = 40
  }

-- TODO: Tables for remaining themes - Dasho

}

HEATHEN_RESOURCE_PACK.ROOM_THEMES =
{
  maw_GreenMarble =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      MARBLE1 = 20,
      MARBLE2 = 50,
      MARBLE3 = 50
    },

    floors =
    {
      GRNROCK  = 30,
      FLAT5_4  = 30,
      FLAT5_1  = 30,
      FLOOR7_1 = 30,
      DEM1_6   = 15,
      FLAT5_1  = 5,
      FLAT5_2  = 5,

      FLAT10   = 10,
      FLOOR6_2 = 10,
      MFLR8_2  = 10
    },

    ceilings =
    {
      FLOOR7_2 = 50,
      DEM1_5   = 20,
      FLOOR6_1 = 20,
      FLOOR6_2 = 20,
      MFLR8_4  = 15
    }
  },

  maw_FireTemple =
  {
    env  = "building",
    prob = 35,

    walls =
    {
      FIREMOS1 = 50,
      FIREMOS2 = 50,
    },

    floors =
    {
      DEM1_6 = 30,
      FLOOR1_6 = 50,
      FLAT5_3 = 20,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLAT5_8 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
    },

    ceilings =
    {
      FLOOR6_1 = 20,
      FLOOR6_2 = 20,
      FLOOR1_6 = 15,
      FLAT5_3 = 10,
    },
  },
  
  maw_MEATFLESHBONE =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      NEWSKIN1 = 50,
      NEWSKIN2 = 20,
      NEWSKIN3 = 30,
      NEWSKIN4 = 30,
      NEWSKIN5 = 20,
      NEWSKIN6 = 20,
    },

    floors =
    {
      CEIL5_1  = 60,
      FLAT5_3  = 30,
      FLOOR1_6  = 30,
      CEIL4_1  = 20,
    },

    ceilings =
    {
      CEIL5_1  = 60,
      FLAT5_3  = 30,
      FLOOR1_6  = 30,
      CEIL4_1  = 20,
    },
  },
  
  ossuary_ThunderTemple =
  {
    env  = "building",
    prob = 20,

    walls =
    {
      SPRKMOS1 = 50,
      SPRKMOS2 = 50,
    },

    floors =
    {
      DEM1_6 = 30,
      FSPARK = 50,
      FLAT5_1 = 20,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLAT5_8 = 10,
      FLOOR6_2 = 5,
    },

    ceilings =
    {
      FLOOR6_2 = 20,
      FSPARK = 15,
      FLAT5_2 = 10,
    },
  },
  
  ossuary_GrayMarble =
  {
    env  = "building",
    prob = 60,

    walls =
    {
      MARBGRAY = 50,
      WALL062 = 50,
      WALL5093 = 50,
      WALL900 = 40,
      WALL910 = 40,
      WALL911 = 40,
      GREYZ = 30,
    },

    floors =
    {
      FLOOR7_1 = 50,
      DEM1_5   = 40,
      FLROCK21   = 30,
      DEM1_6   = 20,
      FLAT10   = 20,
      FLAT5_4  = 20,
      FLAT5_7  = 20,
      FLAT5_8  = 20,
      FLAT5_1  = 5,
      FLAT5_2  = 5
    },

    ceilings =
    {
      FLOOR7_2 = 60,
      DEM1_5   = 20,
      FLOOR6_1 = 20,
      FLOOR6_2 = 20,
      MFLR8_4  = 15
    },
  },
  
  
  maw_gstone =
  {
    prob = 60,
    env = "building",

    walls =
    {
      GSTONE1 = 80,
      GSTVINE1 = 5,
      GSTVINE2 = 5
    },

    floors =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_6 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2
    },

    ceilings =
    {
      FLAT1 = 5,
      FLAT10 = 3,
      FLOOR6_2 = 3,
      FLOOR7_2 = 30,
      FLOOR6_1 = 3,
      DEM1_5 = 10
    }
  },


  ossuary_Hotbrick =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      SP_HOT1 = 50
    },

    floors =
    {
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLAT1 = 20,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLAT5_8 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5
    },

    ceilings =
    {
      FLOOR6_1 = 20,
      FLOOR6_2 = 20,
      FLAT10 = 15,
      FLAT5_3 = 10
    }
  },


  city_Stone =
  {
    env  = "building",
    prob = 60,

    walls =
    {
      STONE3 = 50,
      STONE2 = 10
    },

    floors =
    {
      FLOOR6_2 = 30,
      RROCK13  = 30,
      GRNROCK  = 30,
      DEM1_6   = 30,
      SLIME13  = 30
    },

    ceilings =
    {
      RROCK12  = 30,
      RROCK03  = 30,
      MFLR8_2  = 30,
      FLAT5_1  = 30
    }
  },

  dome_ColdCastle =
  {
    env  = "building",
    prob = 200,

    walls =
    {
      FRZSTON = 50,
      SNWBRCK = 50,
      ICEY6 = 50,
      ICEY3 = 50,
      ROCKICE2 = 50,
      SNWBRK2 = 40,
      SNWBRK3 = 40,
      SNWBRK4 = 40,
      SNWBRK5 = 40,
      SNWBRK6 = 40,
      SNWBRK7 = 40,
      SNWBRK8 = 40,
    },

    floors =
    {
      FSNW1 = 30,
      FSNW2  = 30,
      FLIRCK01  = 30,
      FLOOR6_2 = 30,
    },

    ceilings =
    {
      FSNW1 = 30,
      FSNW2  = 30,
      FLIRCK01  = 30,
      FLOOR6_2 = 30,
    },
  },

  dome_DraugrFortress =
  {
    env  = "building",
    prob = 150,

    walls =
    {
      EFORT161 = 50,
      EFORT171 = 50,
      EFORT191 = 50,
      EFORT195 = 30,
      EFORGE83 = 50,
      RFORGE83 = 30,
    },

    floors =
    {
      FLORGE83 = 30,
      FLORT171  = 30,
      FLORT191  = 30,
    },

    ceilings =
    {
      FLORGE83 = 30,
      FLORT171  = 30,
      FLORT191  = 30,
    },
  },

  dome_HallsoftheSerpent =
  {
    env  = "building",
    prob = 150,

    walls =
    {
      FRZBNWL1 = 50,
      FRZBNWL2 = 50,
      LEVIATN = 40,
      MEDUSS = 40,
    },

    floors =
    {
      LEVTIL2 = 30,
      LEVTILE  = 30,
      LEVMARB = 30,
    },

    ceilings =
    {
      LEVTIL2 = 30,
      LEVTILE  = 30,
      LEVMARB = 30,
    },
  },

  demense_Wood =
  {
    env  = "building",
    prob = 60,

    walls =
    {
      WOOD1 = 50,
      VILL01 = 50,
      VILL04 = 50,
      VILL05 = 50,
      GRID03 = 40,
      WOODSLIM = 40,
      STNTRIM1 = 40,
      WALL04_7 = 40,
      WODMET01 = 40,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      F_054 = 50,
      F_055 = 50,
      WOODF01 = 40,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
      DEM1_6  = 5
    },

    ceilings =
    {
      FLOOR7_2 = 50,
      RROCK14 = 40,
      CEIL1_1 = 30,
      FLAT5_2 = 15,
      FLAT5_7 = 10,
      RROCK13 = 10,
      FLOOR7_1 = 5
    }
  },

  demense_Slad =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      SLADWALL = 50,
      STONE3 = 40,
      MOSSTEK1 = 40,
      MOSSTEK2 = 40,
      BRICK5 = 30,
	  ROCK1 = 30,
	  ROCK2 = 30,
	  ROCK3 = 30,
	  STARG1 = 15,
	  STARG2 = 15,
	  STARG3 = 15,
    },

    floors =
    {
      FLOOR0_5 = 50,
      FLOOR0_7 = 50,
	  FLOOR0_3 = 50,
      GRNROCK = 50,
    },

    ceilings =
    {
      FLOOR0_5 = 50,
      FLOOR0_7 = 50,
	  FLOOR0_3 = 50,
      GRNROCK = 50,
    },
  },

  demense_TekGreen =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      TEKGREN1 = 40,
      TEKGREN2 = 50,
      TEKGREN3 = 40,
      TEKGREN4 = 40,
      TEKGREN5 = 30,
    },

    floors =
    {
      RROCK20 = 50,
      FLOOR4_8 = 50,
	  SLIME14 = 50,
    },

    ceilings =
    {
      RROCK20 = 50,
      FLOOR4_8 = 50,
	  SLIME14 = 50,
    },
  },

  demense_Panel =
  {
    prob = 40,
    env = "building",

    walls =
    {
      PANEL2 = 40,
      PANEL3 = 40,
      PANCASE2 = 25,
      PANEL6 = 20,
      PANEL8 = 35,
      PANEL9 = 35,
      TANROCK3 = 20,
      STUCCO = 15,
      INWOD1 = 30,
      INWOD2 = 30,
      INWOD3 = 30,
      INWOD4 = 30,
      INWOD5 = 30,
      INWOD6 = 30,
    },

    floors =
    {
      FLAT5_5 = 50,
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR3_3 = 15,
      FLOOR1_6 = 10,
      FLAT5 = 10,
      DEM1_6 = 3
    },

    ceilings =
    {
      FLAT5_5 = 15,
      CEIL1_1 = 20,
      FLAT5_1 = 25,
      FLAT5_2 = 25,
      FLOOR7_1 = 5
    }
  },

 demense_motel =
  {
    prob = 60,
    env = "building",

    walls =
    {
      INDOR1 = 40,
      INDOR2 = 40,
      INDOR3 = 35,
      INDOR4 = 35,
      INDOR5 = 25,
      INDOR6 = 25,
    },

    floors =
    {
      CARP1 = 50,
      CARP2 = 50,
      CARP3 = 50,
      CARP4 = 50,
	  FLOOR10 = 30,
      FLAT5_1 = 30,
      FLAT5_2 = 30,
    },

    ceilings =
    {
      FLAT5_5 = 15,
      CEIL1_1 = 20,
      FLAT5_1 = 25,
      FLAT5_2 = 25,
	  FLOOR10 = 25,
      FLOOR7_1 = 5,
    }
  },


  maw_Skin =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      SKINMET1 = 50,
      SKINMET2 = 50,
      SKINCUT  = 5,
      SKINSYMB = 5
    },

    floors =
    {
      FLAT5_1  = 7,
      FLAT5_2  = 5,
      DEM1_5   = 10,
      DEM1_6   = 10,
      FLOOR7_1 = 20,
      FLOOR6_1 = 40,
      SLIME13 = 20
    },

    ceilings =
    {
      FLAT5_2 = 15,
      FLAT5_3 = 15,
      FLAT5_4 = 15,
      FLOOR7_2 = 30,
      DEM1_5 = 30
    }
  },


  maw_Cave_Hot =
  {
    env  = "cave",
    prob = 60,

    light_adjusts = { 32,48,64 },

    walls =
    {
      ROCKRED1 = 50,
      STONE6 = 15,
      STONE7 = 15,
      CRACKLE2 =  5,
      CRACKLE4 =  5
    },

    floors =
    {
      FLOOR6_2 = 40,
      FLOOR6_1 = 20,

      RROCK01  = 20,
      RROCK05  = 20,
      RROCK03  = 10,
      RROCK02  = 5
    }
  },


  maw_Outdoors_generic =
  {
    env  = "outdoor",
    prob = 50,

    floors =
    {
      FLOOR6_2 = 12,
      FLAT5_7 = 20,
      FLAT5_8 = 10,
      RROCK03 = 30,
      RROCK04 = 30,
      RROCK09 = 15,
      MFLR8_3 = 15,
      SLIME13 = 10,
      RROCK11 = 10,
      RROCK12 = 10,
      RROCK13 = 5,
      RROCK01 = 5,
      RROCK02 = 3
    },

    naturals =
    {
      ROCKRED1 = 50,
      SP_ROCK1 = 30,
      ASHWALL2 = 30,
      ASHWALL3  = 25,
      ASHWALL6  = 20,
      ASHWALL7  = 15,
      ASHWALL4 = 30,
    },

    porch_floors =
    {
      CEIL3_5 = 10,
      DEM1_5 = 35,
      DEM1_6 = 35,
      FLAT1_1 = 10,
      FLAT1_2 = 10,
      FLAT5_1 = 35,
      FLAT5_2 = 35,
      FLOOR4_6 = 10,
      FLOOR5_4 = 10,
      MFLR8_1 = 10,
      RROCK09 = 10,
      RROCK12 = 10,
      RROCK13 = 10,
      RROCK14 = 10
    }
  },

  city_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 100,

    walls =
    {
      STUCCO3 = 60,
      STUCCO1 = 30,
    },

    floors =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,
      DEM1_6   = 10,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },

    ceilings =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },

    y_offsets =
    {
      STUCCO3 = 30,
      STUCCO1 = 30,
    }
  },

  city_curve_Hallway_new =
  {
    env   = "hallway",
    group = "curve",
    prob  = 100,

    walls =
    {
      STUCCO3 = 60,
      STUCCO1 = 30,
    },

    floors =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,
      DEM1_6   = 10,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },

    ceilings =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },
  },


  demense_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 100,

    walls =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      PANEL2 = 40,
      PANEL3 = 40,
      PANCASE2 = 25,
      PANEL6 = 20,
      PANEL8 = 35,
      PANEL9 = 35,
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
      DEM1_6  = 5,
    },

    ceilings =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
    },

    y_offsets =
    {
      WOOD1 = 30,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 30,
      PANEL2 = 30,
      PANEL3 = 30,
      PANCASE2 = 30,
      PANEL6 = 30,
      PANEL8 = 30,
      PANEL9 = 30,
    }
  },

  demense_curve_Hallway_new =
  {
    env   = "hallway",
    group = "curve",
    prob  = 100,

    walls =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      PANEL2 = 40,
      PANEL3 = 40,
      PANCASE2 = 25,
      PANEL6 = 20,
      PANEL8 = 35,
      PANEL9 = 35,
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
      DEM1_6  = 5,
    },

    ceilings =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
    },
  },

  ossuary_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 100,

    walls =
    {
      BRICK10 = 50,
      SP_HOT1 = 50,
      MARBGRAY = 50,
    },

    floors =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
      DEM1_6   = 20,
    },

    ceilings =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
    },

    y_offsets =
    {
      BRICK10 = 30,
      SP_HOT1 = 30,
      MARBGRAY = 30,
    }
  },

  ossuary_curve_Hallway_new =
  {
    env   = "hallway",
    group = "curve",
    prob  = 100,

    walls =
    {
      BRICK10 = 50,
      SP_HOT1 = 50,
      MARBGRAY = 50,
    },

    floors =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
      DEM1_6   = 20,
    },

    ceilings =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
    },
  },

  dome_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 100,

    walls =
    {
      SNWBRCK = 60,
      SNWBRK2  = 60,
      SNWBRK3  = 60,
      SNWBRK4  = 60,
      SNWBRK5  = 60,
      SNWBRK6  = 60,
      SNWBRK7  = 60,
      SNWBRK8  = 60,
	  
      ICE  = 20,
      FRZ_FACE  = 20,
      FRZ_BONE  = 20,
    },

    floors =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    },

    ceilings =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    },

    y_offsets =
    {
      SNWBRCK = 30,
      SNWBRK2 = 30,
      SNWBRK3 = 30,
      SNWBRK4 = 30,
      SNWBRK5 = 30,
      SNWBRK6  = 30,
      SNWBRK7  = 30,
      SNWBRK8  = 30,
	  
      ICE  = 30,
    }
  },
  
  dome_curve_Hallway_new =
  {
    env   = "hallway",
    group = "curve",
    prob  = 100,

    walls =
    {
      SNWBRCK = 60,
      SNWBRK2  = 60,
      SNWBRK3  = 60,
      SNWBRK4  = 60,
      SNWBRK5  = 60,
      SNWBRK6  = 60,
      SNWBRK7  = 60,
      SNWBRK8  = 60,
	  
      ICE  = 20,
      FRZ_FACE  = 20,
      FRZ_BONE  = 20,
    },

    floors =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    },

    ceilings =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    },
  },
  
  maw_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 100,

    walls =
    {
      MARBLE1 = 20,
      MARBLE2 = 50,
      MARBLE3 = 50,
      GSTONE1 = 80,
      GSTVINE1 = 5,
      GSTVINE2 = 5,
    },

    floors =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_6 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },

    ceilings =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },

    y_offsets =
    {
      MARBLE1 = 30,
      MARBLE2 = 30,
      MARBLE3 = 30,
      GSTONE1 = 30,
      GSTVINE1 = 30,
      GSTVINE2  = 30,
    }
  },
  
  maw_curve_Hallway_new =
  {
    env   = "hallway",
    group = "curve",
    prob  = 100,

    walls =
    {
      MARBLE1 = 20,
      MARBLE2 = 50,
      MARBLE3 = 50,
      GSTONE1 = 80,
      GSTVINE1 = 5,
      GSTVINE2 = 5,
    },

    floors =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_6 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },

    ceilings =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },
  },
  
  dome_vent_Hallway =
  {
    env   = "hallway",
    group = "vent",
    prob  = 50,

    walls =
    {
      ICE  = 60,
      FRZ_FACE  = 60,
      FRZ_BONE  = 60,
    },

    floors =
    {
      FLAT517 = 60,
    },

    ceilings =
    {
      FLAT517 = 60,
    }
  },

  city_vent_Hallway =
  {
    env   = "hallway",
    group = "vent",
    prob  = 50,

    walls =
    {
      STUCCO3 = 60,
      STUCCO1 = 30,
    },

    floors =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,
      DEM1_6   = 10,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },

    ceilings =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    }
  },

  demense_vent_Hallway =
  {
    env   = "hallway",
    group = "vent",
    prob  = 50,

    walls =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
      DEM1_6  = 5,
    },

    ceilings =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
    }
  },
  
  ossuary_vent_Hallway =
  {
    env   = "hallway",
    group = "vent",
    prob  = 50,

    walls =
    {
      BRICK10 = 50,
      SP_HOT1 = 50,
      MARBGRAY = 50,
    },

    floors =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
      DEM1_6   = 20,
    },

    ceilings =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
    }
  },
  
  maw_vent_Hallway =
  {
    env   = "hallway",
    group = "vent",
    prob  = 50,

    walls =
    {
      MARBLE1 = 20,
      MARBLE2 = 50,
      MARBLE3 = 50,
      GSTONE1 = 80,
      GSTVINE1 = 5,
      GSTVINE2 = 5,
    },

    floors =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_6 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },

    ceilings =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    }
  },

  city_metro_Hallway =
  {
    env   = "hallway",
    --group = "metro",
    prob  = 15,

    walls =
    {
      STUCCO3 = 60,
      STUCCO1 = 30,
    },

    floors =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,
      DEM1_6   = 10,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    },

    ceilings =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10,
    }
  },

  demense_metro_Hallway =
  {
    env   = "hallway",
    --group = "metro",
    prob  = 15,

    walls =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10,
      PANEL2 = 40,
      PANEL3 = 40,
      PANCASE2 = 25,
      PANEL6 = 20,
      PANEL8 = 35,
      PANEL9 = 35,
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
      DEM1_6  = 5,
    },

    ceilings =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5    = 10,
      FLAT1_1  = 10,
    }
  },

  dome_metro_Hallway =
  {
    env   = "hallway",
    --group = "metro",
    prob  = 15,

    walls =
    {
      SNWBRCK = 60,
      SNWBRK2  = 60,
      SNWBRK3  = 60,
      SNWBRK4  = 60,
      SNWBRK5  = 60,
      SNWBRK6  = 60,
      SNWBRK7  = 60,
      SNWBRK8  = 60,
	  
      ICE  = 20,
      FRZ_FACE  = 20,
      FRZ_BONE  = 20,
    },

    floors =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    },

    ceilings =
    {
      FSNW1 = 50,
      FSNW2  = 50,
      FLAT517 = 20,
    }
  },

  maw_metro_Hallway =
  {
    env   = "hallway",
    --group = "metro",
    prob  = 15,

    walls =
    {
      MARBLE1 = 20,
      MARBLE2 = 50,
      MARBLE3 = 50,
      GSTONE1 = 80,
      GSTVINE1 = 5,
      GSTVINE2 = 5,
    },

    floors =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_6 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    },

    ceilings =
    {
      FLAT1 = 10,
      FLOOR6_2 = 5,
      FLOOR7_1 = 10,
      FLOOR7_2 = 20,
      DEM1_5 = 20,
      FLAT5_1  = 2,
      FLAT5_2  = 2,
      FLAT1_1 = 2,
    }
  },

  ossuary_metro_Hallway =
  {
    env   = "hallway",
    --group = "metro",
    prob  = 15,

    walls =
    {
      BRICK10 = 50,
      SP_HOT1 = 50,
      MARBGRAY = 50,
    },

    floors =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
      DEM1_6   = 20,
    },

    ceilings =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR3_3 = 10,
      FLAT5_3 = 30,
      FLAT10 = 50,
      FLOOR7_1 = 50,
      FLAT5_7 = 10,
      FLOOR6_1 = 10,
      FLOOR6_2 = 5,
      DEM1_5   = 40,
    }
  },
  
  any_mineshaft_Hallway =
  {
    env = "hallway",
    group = "mineshaft",
    prob = 50,

    walls =
    {
      ROCK1 = 50,
      ROCK2 = 50,
      ROCK3 = 50,
      ROCK4 = 50,
      SP_ROCK1 = 50,
      TANROCK5 = 50,
      TANROCK7 = 50,
      SKSPINE2 = 50,
      ZIMMER5 = 50,
      ROCKRED1 = 50
    },

    floors =
    {
      FLAT10 = 50,
      FLAT5_6 = 50,
      FLAT5_7 = 50,
      FLAT5_8 = 50,
      FLOOR6_1 = 50,
      FLOOR6_2 = 50,
      FLOOR7_2 = 50,
      MFLR8_2 = 50,
      MFLR8_3 = 50,
      MFLR8_4 = 50,
      RROCK01 = 50,
      RROCK02 = 50,
      RROCK03 = 50,
      RROCK04 = 50,
      RROCK05 = 50,
      RROCK16 = 50,
      SLIME09 = 50
    },

    ceilings =
    {
      FLAT3 = 50 -- the mineshafts don't actually have
                 -- separate _CEIL textures
    }
  },
  
    city_Brick =
  {
    env  = "building",
    prob = 100,

    walls =
    {
      BIGBRIK1 = 80,
      BIGBRIK2 = 80,

      BRICK12 = 60,
      BRICK5  = 40,
      BRICK6  = 40,
      BRICK7  = 40,

      BRICK2  = 20,
      BRICK8  = 20,
      BRICK1  = 10,
      BRICK9  = 10
    },

    floors =
    {
      FLAT1_1 = 50,
      FLAT1_2 = 30,
      FLAT1   = 30,
      FLAT5   = 15,
      FLAT5_1 = 50,
      FLAT5_2 = 30,
      FLAT5_4 = 20,
      FLAT5_5 = 50,
      FLAT8   = 30,

      FLOOR0_1 = 20,
      FLOOR0_2 = 20,
      FLOOR0_3 = 20,
      FLOOR4_6 = 20,
      FLOOR5_3 = 25,
      FLOOR5_4 = 10
    },

    ceilings =
    {
      FLAT1   = 50,
      FLAT5_4 = 20,
      FLAT5_5 = 15,
      RROCK10 = 20,
      RROCK14 = 20,
      CEIL1_1 = 30,
      FLAT5_2 = 10,
      MFLR8_1 = 10,
      SLIME13 = 5
    }
  },


  ossuary_Panel =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      PANEL6 = 50,
      PANEL8 = 50,
      PANEL9 = 30,
      PANEL7 = 20,
      PANEL3 = 50,
      PANEL2 = 50,
      PANCASE2 = 30
    },

    floors =
    {
      FLOOR0_2 = 15,
      FLOOR5_3 = 20,
      FLOOR5_4 = 15,
      FLAT1_1 = 30,
      FLAT1_2 = 30,
      FLAT1 = 15,
      FLAT8 = 10,
      FLAT5_5 = 50,
      FLAT5_1 = 40,
      FLAT5_2 = 40,
      FLAT5 = 20,
      FLOOR3_3 = 10,
      FLOOR4_6 = 10
    },

    ceilings =
    {
      FLAT1 = 50,
      CEIL1_1 = 20,
      FLAT5_2 = 20,
      CEIL3_3 = 10,
      RROCK10 = 20,
      RROCK11 = 10,
      FLOOR7_1 = 5,
      CEIL3_5 = 5
    }
  },


  city_Stone2 =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      STONE  = 20,
      STONE2 = 60,
      STONE3 = 50,
      ROCK1  = 10,
      ROCK3  = 10
    },

    floors =
    {
      FLAT1_2 = 50,
      FLAT1_1 = 20,
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLAT1 = 50,
      FLAT8 = 20,
      FLAT5_4 = 35,
      FLAT5_5 = 20,
      FLAT5_1 = 50,
      SLIME14 = 15,
      SLIME15 = 15
    },

    ceilings =
    {
      FLAT1 = 50,
      CEIL1_1 = 20,
      CEIL3_5 = 25,
      MFLR8_1 = 30,
      FLAT5_4 = 20,
      RROCK11 = 20,
      RROCK12 = 20,
      FLAT5_2 = 10
    }
  },


  city_RedBrick =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      BRICK11 = 50
    },

    floors =
    {
      MFLR8_2 = 40,
    
      FLAT1_1 = 40,
      FLAT8 = 30,
      FLOOR0_1 = 10,
      FLOOR0_2 = 10,
      FLOOR0_3 = 10,
      FLOOR0_5 = 30,

      FLOOR3_3 = 20,
      FLOOR4_6 = 20,
      FLOOR5_3 = 10,
      FLOOR5_4 = 20,
      FLOOR6_1 = 10,
      FLOOR6_2 = 10,

      RROCK10 = 40,
      RROCK14 = 40
    },

    ceilings =
    {
      FLOOR5_3 = 10,
      FLOOR5_4 = 20,
      FLOOR6_1 = 30,
      FLAT5_1 = 20,
      FLAT8 = 20,

      CEIL3_3 = 20,
      CEIL3_5 = 20,

      FLAT8 = 10,
      FLAT5_2 = 10,
      FLAT5_4 = 5,

      MFLR8_1 = 5,

      SLIME16 = 20
    }
  },


  ossuary_MossyBricks =
  {
    env  = "building",
    prob = 40,

    walls =
    {
      BRICK10 = 50,
      ECATA00 = 50,
    },

    floors =
    {
      RROCK14  = 40,
      MFLR8_1  = 40,
      FLAT5_8  = 30,
      FLAT1    = 20,
      FLOOR7_1 = 10,
      FCATOM1 = 50,
      FCATOM2 = 40,
      FCATOM3 = 30,
      FLOOR3_3 = 10
    },

    ceilings =
    {
      GRNROCK  = 40,
      FLOOR7_2 = 20,
      FLAT10   = 20,
      CEIL3_5  = 20,
      CEIL5_1  = 20,
      RROCK13  = 20,
      FCATOM1 = 50,
      FCATOM2 = 40,
      FCATOM3 = 30,
      FLAT8    = 10
    }
  },


  dome_Cement =
  {
    env  = "building",
    prob = 60,

    walls =
    {
      CEMENT7 = 50,
      CEMENT9 = 50,
      GRAY1 = 20,
      GRAY4 = 20,
      GRAY5 = 20,
      GRAY7 = 20,
      GRAYBIG = 20,
      GRAYTALL = 20,
      STONE2 = 15,
      STARBLU1 = 15,
      STARBLU2 = 10,
    },

    floors =
    {
      FLAT1    = 40,
      FLAT5_4  = 40,
      FLAT3    = 40,
      FLAT10   = 20,
      FLOOR3_3 = 20,
      FLOOR6_2 = 20,
      FLOOR4_8 = 10,
      FLOOR5_1 = 10,
      FLAT5_2 = 5,
      FLAT5_1 = 5
    },

    ceilings =
    {
      FLAT19 = 50,
      FLAT18 = 20,
      FLAT5_4 = 25,
      RROCK13  = 30,
      MFLR8_1  = 30,
      SLIME13  = 20,
      FLOOR7_1 = 10,
      FLAT4    = 10,
      FLAT9 = 5,
      FLAT5_2 = 5,
      CEIL1_1 = 5
    }
  },


  dome_Wood =
  {
    env  = "building",
    prob = 40,

    --theme_override = "flesh",

    walls =
    {
      WOOD1 = 50,
      WOOD3 = 30,
      WOOD5 = 30,
      WOOD12 = 30,
      WOODVERT = 10
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLOOR7_1 = 50,
      FLAT5_4 = 20,
      FLOOR4_6 = 10,
      FLAT5_5  = 15,
      DEM1_5   = 10,
      DEM1_6   = 15
    },

    ceilings =
    {
      FLOOR7_2 = 50,
      RROCK14 = 40,
      CEIL1_1 = 30,
      FLAT5_2 = 10,
      FLAT5_7 = 10,
      RROCK10 = 10,
      RROCK11 = 10,
      RROCK12 = 10,
      FLOOR7_1 = 5
    }
  },


  city_Stucco =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      STUCCO3 = 60,
      STUCCO1 = 30,
    },

    floors =
    {
      FLAT5_5  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLOOR5_4 = 20,
      FLAT1_1  = 30,
      FLAT1_2  = 30,
      DEM1_6   = 10,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10
    },

    ceilings =
    {
      CEIL1_1  = 30,
      FLAT5_5  = 10,
      FLAT5_2  = 5,

      CEIL3_5  = 30,
      FLAT18   = 20,
      FLAT19   = 30,
      RROCK03  = 10,
      RROCK10  = 10,
      RROCK12  = 5
    }
  },


  -- MSSP: MODWALL3 looks pretty weird
  -- as a regular wall texture now that fabs consistently use them more
  -- thus, this is now the 'brown' theme instead
  ossuary_BrownyMcBrownston =
  {
    env  = "building",
    prob = 50,

    walls =
    {
      MODWALL1 = 60,
      BROWN1 = 30,
      BROWN144 = 40,
      BROWNHUG = 20,
      BRONZE1 = 20,
      BRONZE3 = 20,
      STARTAN1 = 15,
      STARTAN2 = 15,
      STARTAN3 = 10,
    },

    floors =
    {
      FLAT5_4  = 50,
      FLAT8    = 20,
      FLOOR4_6 = 25,
      FLAT1_1  = 30,

      FLAT5    = 30,
      CEIL3_5  = 30,
      MFLR8_2  = 20,
      FLOOR1_6 = 10,
      FLAT5_1  = 10,
      FLAT5_2  = 10
    },

    ceilings =
    {
      CEIL1_1  = 30,
      FLAT5_5  = 10,
      FLAT5_2  = 5,

      CEIL3_5  = 30,
      FLAT18   = 20,
      FLAT19   = 30,
      RROCK03  = 10,
      RROCK10  = 10,
      RROCK12  = 5
    }
  },


  -- MSSP: grey focused stuff, i.e. for the hospital/office look
  dome_ShadesOfGrey =
  {
    env = "building",
    prob = 40,

    walls =
    {
      GRAY1 = 50,
      GRAY4 = 30,
      GRAY5 = 50,
      GRAY7 = 50,
      GRAYTALL = 5,
      STONE2 = 20,

      ACKWALL1 = 10, -- well, some hospitals and offices
      ACKWALL2 = 10, -- have probably fallen into disrepair by now
      ACKWALL3 = 10,
      ACKWALL4 = 10,
      ACKWALL5 = 10,
      ACKWALL6 = 10,
      ACKWALL7 = 10,
    },

    floors =
    {
      FLAT1 = 35,
      FLAT18 = 20,
      FLAT19 = 20,
      FLAT20 = 50,
      FLAT3 = 50,
      FLAT4 = 30,
      FLOOR0_3 = 50,
      FLOOR0_5 = 50,

      FLAT14 = 80, -- nice colored carpet look
      FLOOR1_6 = 80,
      FLOOR7_1 = 25,
      CEIL3_3 = 25
    },

    ceilings =
    {
      FLAT18 = 50,
      FLAT19 = 50,
      CEIL5_1 = 10,
      FLAT9 = 20,
      FLOOR0_3 = 20,
      FLOOR0_5 = 20,
      FLAT5_4 = 50
    }
  },


  any_deuce_Hallway =
  {
    env   = "hallway",
    group = "deuce",
    prob  = 75,

    walls =
    {
      WOOD1    = 90,
      WOOD12   = 90,
      WOOD9    = 90,
      WOODVERT = 90,

      BIGBRIK1 = 50,
      BIGBRIK2 = 50,
      BRICK10  = 50,
      BRICK11  = 10,

      PANEL1   = 50,
      PANEL7   = 30,
      PANEL8   = 30,
      PANEL9   = 30,
      STUCCO   = 30,
      STUCCO1  = 30,
      STUCCO3  = 30
    },

    floors =
    {
      FLAT5_1 = 50,
      FLAT5_2 = 20,
      FLAT8   = 50,
      FLAT5_4 = 50,
      MFLR8_1 = 50,
      FLOOR5_3 = 20,
      FLAT5 = 20
    },

    ceilings =
    {
      CEIL1_1 = 30,
      FLAT5_2 = 25,
      CEIL3_5 = 20,
      MFLR8_1 = 50,
      FLAT1   = 30
    }
  },


  any_metro_Hallway =
  {
    env   = "hallway",
    group = "metro",
    prob  = 35,

    walls =
    {
      BROWN1 = 50,
      BIGBRIK1 = 50,
      BIGBRIK2 = 50,
      BIGBRIK3 = 50,
      CEMENT7 = 50,
      CEMENT9 = 50,
      PANCASE1 = 50,
      METAL2 = 50,
      BRONZE1 = 50
    },

    floors =
    {
      FLAT1 = 50,
      FLAT4 = 50,
      FLAT19 = 50,
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLAT5_3 = 50,
      FLAT5_4 = 50,
      FLAT5_5 = 50,
      FLAT8 = 50,
      FLOOR0_5 = 50,
      FLOOR4_6 = 50,
      FLOOR5_4 = 50,
      RROCK12 = 50,
      RROCK13 = 50,
      SLIME14 = 50,
      SLIME15 = 50,
      SLIME16 = 50
    },

    ceilings =
    {
      CEIL1_1 = 50,
      CEIL3_1 = 50,
      CEIL3_2 = 50,
      CEIL3_3 = 50,
      CEIL3_5 = 50,
      FLAT20 = 50,
      FLAT3 = 50,
      FLAT5_1 = 50,
      FLAT5_2 = 50,
      FLAT5_4 = 50,
      FLAT5_5 = 50,
      FLOOR0_5 = 50,
      FLOOR3_3 = 50,
      FLOOR4_6 = 50,
      FLOOR5_4 = 50
    }
  },


  any_mineshaft_Hallway =
  {
    env = "hallway",
    --group = "mineshaft",
    prob = 50,

    walls =
    {
      ROCK1 = 50,
      ROCK2 = 50,
      ROCK3 = 50,
      ROCK4 = 50,
      SP_ROCK1 = 50,
      TANROCK5 = 50,
      TANROCK7 = 50,
      STONE4 = 50,
      STONE5 = 50,
      STONE6 = 50,
      STONE7 = 50,
    },

    floors =
    {
      FLAT10 = 50,
      MFLR8_2 = 50,
      MFLR8_3 = 50,
      MFLR8_4 = 50,
      GRNROCK = 50,
      RROCK03 = 50,
      RROCK09 = 50,
      RROCK11 = 50,
      RROCK12 = 50,
      RROCK13 = 50,
      RROCK15 = 50,
      RROCK16 = 50,
      RROCK17 = 50,
      RROCK18 = 50
    },

    ceilings =
    {
      FLAT3 = 50 -- the mineshafts don't actually have
                 -- separate _CEIL textures
    }
  },

  city_Cave_generic =
  {
    env  = "cave",
    prob = 50,

    walls =
    {
      ROCK1    = 40,
      ROCK2    = 40,
      ROCK3    = 40,

      ZIMMER1  = 10,
      ZIMMER2  = 10,
      ZIMMER7  = 20,
    },

    floors =
    {
      ROCK1    = 40,
      ROCK2    = 40,
      ROCK3    = 40,

      ZIMMER1  = 10,
      ZIMMER2  = 10,
      ZIMMER7  = 20,
    },
  },

  demense_Cave_generic =
  {
    env  = "cave",
    prob = 50,

    walls =
    {
      ROCK1    = 40,
      ROCK2    = 40,
      ROCK3    = 40,
	  
      FSPIW    = 10,

      ZIMMER1  = 20,
      ZIMMER2  = 20,
      ZIMMER7  = 30,
    },

    floors =
    {
      ROCK1    = 40,
      ROCK2    = 40,
      ROCK3    = 40,

      FSPIW    = 10,
	  
      ZIMMER1  = 20,
      ZIMMER2  = 20,
      ZIMMER7  = 30,
    },
  },
  
  ossuary_Cave_generic =
  {
    env  = "cave",
    prob = 50,

    walls =
    {
      SKELEWAL = 40,
	  
      ASHWALL2 = 40,
      ASHWALL3 = 40,
      ASHWALL4 = 40,

      ZIMMER3  = 20,
      ZIMMER4  = 20,
      ZIMMER5  = 20,
      ROCK5    = 15,

      BSTONE1  = 10,
      BSTONE2  = 10,
      STONE4   = 10,
      STONE5   = 10,
    },

    floors =
    {
      SKELEWAL = 40,
	  
      ASHWALL2 = 40,
      ASHWALL3 = 40,
      ASHWALL4 = 40,

      ZIMMER3  = 20,
      ZIMMER4  = 20,
      ZIMMER5  = 20,
      ROCK5    = 15,

      BSTONE1  = 10,
      BSTONE2  = 10,
      STONE4   = 10,
      STONE5   = 10,
    },
  },
  
  dome_Cave_generic =
  {
    env  = "cave",
    prob = 90,

    walls =
    {
      LOOSESNW = 60,
      ICE = 60,
      ICEY8 = 60,
      ICEY921 = 60,
      LOOSEICE = 60,
      SNWROCK = 50,
      HARDSNW = 50,
      HARDSNW2 = 50,
      SNWCAVE = 50,
      ZIMMER8  = 40,
      ASHWALL6 = 35,
      FRZ_FACE = 20,
      FRZ_BONE = 20,
    },

    floors =
    {
      FLAT517 = 70,
      FLAT509B = 70,
      FSNW3 = 60,
	  ICEYRCK = 50,
      MFLR8_3 = 40,
      RROCK20 = 35,
    }
  },

  dome_Outdoors_generic =
  {
    env  = "outdoor",
    prob = 90,
	
    floors =
    {
      FLAT517 = 70,
      FLAT509B = 70,
      FSNW3 = 60,
	  ICEYRCK = 50,
      MFLR8_3 = 40,
      RROCK20 = 35,
    },

    naturals =
    {
      LOOSESNW = 60,
      ICE = 60,
      ICEY8 = 60,
      ICEY921 = 60,
      LOOSEICE = 60,
      SNWROCK = 50,
      HARDSNW = 50,
      HARDSNW2 = 50,
      SNWCAVE = 50,
      ZIMMER8  = 40,
      ASHWALL6 = 35,
    },

    porch_floors =
    {
      CEIL3_3 = 10,
      CEIL3_5 = 10,
      FLAT1 = 10,
      FLAT1_1 = 10,
      FLAT1_2 = 10,
      FLAT19 = 10,
      FLAT3 = 10,
      FLAT5 = 10,
      FLAT5_1 = 20,
      FLAT5_2 = 20,
      FLAT5_5 = 20,
      FLOOR0_1 = 10,
      FLOOR4_6 = 10,
      FLOOR5_3 = 10,
      FLOOR5_4 = 10,
      FLOOR7_1 = 20,
      MFLR8_1 = 10,
      RROCK14 = 10,
      SLIME14 = 10,
      SLIME15 = 10,
      SLIME16 = 10
    }
  },
  
  city_Outdoors_generic =
  {
    env  = "outdoor",
    prob = 50,

    floors =
    {
      RROCK19  = 15,
      FLAT5_2  = 15,
      GRASS1   = 15,
      GRASS2   = 15,
      FLOWERS  = 15,
      FLOWER2  = 15,
    },

    naturals =
    {
      ASHWALL2 = 50,
      ASHWALL4 = 50,
      SP_ROCK1 = 20,
      ZIMMER1  = 15,
      ZIMMER2  = 15,
      ZIMMER7  = 15,
    },

    porch_floors =
    {
      CEIL3_3 = 10,
      CEIL3_5 = 10,
      FLAT1 = 10,
      FLAT1_1 = 10,
      FLAT1_2 = 10,
      FLAT19 = 10,
      FLAT3 = 10,
      FLAT5 = 10,
      FLAT5_1 = 20,
      FLAT5_2 = 20,
      FLAT5_5 = 20,
      FLOOR0_1 = 10,
      FLOOR4_6 = 10,
      FLOOR5_3 = 10,
      FLOOR5_4 = 10,
      FLOOR7_1 = 20,
      MFLR8_1 = 10,
      RROCK14 = 10,
      SLIME14 = 10,
      SLIME15 = 10,
      SLIME16 = 10,
    },
  },
  
  demense_Outdoors_generic =
  {
    env  = "outdoor",
    prob = 50,

    floors =
    {
      RROCK19  = 15,
      FLAT5_2  = 15,
      GRASS1   = 20,
      GRASS2   = 20,
      FLOWERS  = 50,
      FLOWER2  = 50,
      SFLR6_1  = 30,
      SFLR6_4  = 30,
    },

    naturals =
    {
      ASHWALL2 = 20,
      ASHWALL4 = 20,
      SP_ROCK1 = 20,
      ZIMMER1  = 15,
      ZIMMER2  = 15,
      ZIMMER7  = 15,
      SKSNAKE1 = 50,
      SKSNAKE2 = 50,
    },

    porch_floors =
    {
      CEIL3_3 = 10,
      CEIL3_5 = 10,
      FLAT1 = 10,
      FLAT1_1 = 10,
      FLAT1_2 = 10,
      FLAT19 = 10,
      FLAT3 = 10,
      FLAT5 = 10,
      FLAT5_1 = 20,
      FLAT5_2 = 20,
      FLAT5_5 = 20,
      FLOOR0_1 = 10,
      FLOOR4_6 = 10,
      FLOOR5_3 = 10,
      FLOOR5_4 = 10,
      FLOOR7_1 = 20,
      MFLR8_1 = 10,
      RROCK14 = 10,
      SLIME14 = 10,
      SLIME15 = 10,
      SLIME16 = 10,
    },
  },
  
  ossuary_Outdoors_generic =
  {
    env  = "outdoor",
    prob = 50,

    floors =
    {
      STONE    = 50,
      DGRAS    = 40,
      DLEAF    = 35,
      RROCK18  = 35,
      FLAT1    = 25,
      RROCK17  = 20,
      FLOOR7_1 = 20,
      RROCK03  = 10,
      FLOOR6_2 = 5,
    },

    naturals =
    {
      ASHWALL3 = 50,
      SKELEWAL = 50,
      ASHWALL7 = 35,
      TANROCK4 = 20,
      TANROCK5 = 20,
      BSTONE1  = 20,
      BSTONE2  = 20,
      ZIMMER3  = 15,
      ZIMMER4  = 15,
      ZIMMER5  = 15,
      ROCK1    = 30,
      ROCK2    = 30,
      ROCK3    = 30,
    },

    porch_floors =
    {
      CEIL3_3 = 10,
      CEIL3_5 = 10,
      FLAT1 = 10,
      FLAT1_1 = 10,
      FLAT1_2 = 10,
      FLAT19 = 10,
      FLAT3 = 10,
      FLAT5 = 10,
      FLAT5_1 = 20,
      FLAT5_2 = 20,
      FLAT5_5 = 20,
      FLOOR0_1 = 10,
      FLOOR4_6 = 10,
      FLOOR5_3 = 10,
      FLOOR5_4 = 10,
      FLOOR7_1 = 20,
      MFLR8_1 = 10,
      RROCK14 = 10,
      SLIME14 = 10,
      SLIME15 = 10,
      SLIME16 = 10
    }
  }
}

HEATHEN_RESOURCE_PACK.ANIMDEFS =
[[
WARP texture DBRAIN1
WARP texture DBRAIN2
WARP texture DBRAIN3
WARP texture DBRAIN4
//WARP2 texture FIREWALL

//Create some warping liquid/fire texture effects for a few unused animation
//frames from the original DOOM/DOOM2 in case any map maker decided to use them.
//WARP2 texture FIREWAL1
//WARP texture FIREWALA
//WARP texture FIREWALB
WARP2 flat SLIME08
//WARP2 texture FIREBLU1
//WARP2 texture FIRELAV1
//WARP texture SLIME05

texture CANDLE1
    pic CANDLE1 tics 4
    pic CANDLE2 tics 4
    pic CANDLE3 tics 4
	
texture FIREWALL
    pic FIREWALL tics 6
    pic FIREWALA tics 6
    pic FIREWALB tics 6
    pic FIREWAL1 tics 6
    pic FIREWALE tics 6
	
texture FIREWALA
    pic FIREWALL tics 6
    pic FIREWALA tics 6
    pic FIREWALB tics 6
    pic FIREWAL1 tics 6
    pic FIREWALE tics 6

texture FIREWALB
    pic FIREWALL tics 6
    pic FIREWALA tics 6
    pic FIREWALB tics 6
    pic FIREWAL1 tics 6
    pic FIREWALE tics 6

texture FIREWAL1
    pic FIREWALL tics 6
    pic FIREWALA tics 6
    pic FIREWALB tics 6
    pic FIREWAL1 tics 6
    pic FIREWALE tics 6


texture FIRELAV1
    pic FIRELAVA tics 6
    pic FIRELAV2 tics 6
    pic FIRELAV3 tics 6
    pic FIRELAV4 tics 6
    pic FIRELAV5 tics 6
	
texture FIRELAVA
    pic FIRELAVA tics 6
    pic FIRELAV2 tics 6
    pic FIRELAV3 tics 6
    pic FIRELAV4 tics 6
    pic FIRELAV5 tics 6

texture FIRELAV2
    pic FIRELAVA tics 6
    pic FIRELAV2 tics 6
    pic FIRELAV3 tics 6
    pic FIRELAV4 tics 6
    pic FIRELAV5 tics 6

texture FIRELAV3
    pic FIRELAVA tics 6
    pic FIRELAV2 tics 6
    pic FIRELAV3 tics 6
    pic FIRELAV4 tics 6
    pic FIRELAV5 tics 6
	
texture MAGMAA
    pic MAGMAA tics 6
    pic MAGMAB tics 6
    pic MAGMAC tics 6
    pic MAGMAD tics 6
	
flat	BLOOD1  	range	BLOOD3  	tics 8
flat	FWATER1  	range	FWATER4  	tics 8
flat	NUKAGE1	  	range	NUKAGE3  	tics 8
flat	LAVA1	  	range	LAVA4	  	tics 8
flat	SLIME01 	range	SLIME04 	tics 8
flat	SLIME05 	range	SLIME08 	tics 9
flat	SLIME09 	range	SLIME12 	tics 8
flat	RROCK05 	range	RROCK08 	tics 8
//flat	FLAT22_A  	range	FLAT22_D  	tics 6 OSCILLATE
//flat	TLIT6_1A  	range	TLIT6_1D  	tics 6 OSCILLATE
//flat	TLIT6_4A  	range	TLIT6_4D  	tics 6 OSCILLATE

texture FLAT22
    pic FLAT22_A tics 6
    pic FLAT22_B tics 6
    pic FLAT22_C tics 6
    pic FLAT22_D tics 6
    pic FLAT22_C tics 6
    pic FLAT22_B tics 6
	
texture CGATE1
    pic CGATE1 tics 8
    pic CGATE2 tics 8
    pic CGATE3 tics 8
    pic CGATE4 tics 8
    pic CGATE5 tics 8
	
texture HLTTELE1
    pic HLTTELE1 tics 8
    pic HLTTELE2 tics 8
    pic HLTTELE3 tics 8
    pic HLTTELE4 tics 8
	
texture SCGATEA1
    pic SCGATEA1 tics 8
    pic SCGATEA2 tics 8
    pic SCGATEA3 tics 8
    pic SCGATEA4 tics 8
    pic SCGATEA5 tics 8
	
texture FLTTEL21
    pic FLTTEL21 tics 8
    pic FLTTEL22 tics 8
    pic FLTTEL23 tics 8
    pic FLTTEL24 tics 8

texture TLITE6_1
    pic TLIT6_1A tics 6
    pic TLIT6_1B tics 6
    pic TLIT6_1C tics 6
    pic TLIT6_1D tics 6
    pic TLIT6_1C tics 6
    pic TLIT6_1B tics 6

texture TLITE6_4
    pic TLIT6_4A tics 6
    pic TLIT6_4B tics 6
    pic TLIT6_4C tics 6
    pic TLIT6_4D tics 6
    pic TLIT6_4C tics 6
    pic TLIT6_4B tics 6

flat	FLATBLU1  	range	FLATBLU4  	tics 8

texture	SLADRIP1 range SLADRIP3	tics 6 allowdecals

flat	BLUSLUD1  	range	BLUSLUD3  	tics 8
flat	BADBLUD1  	range	BADBLUD3  	tics 8
flat	MUCK1  	range	MUCK4  	tics 8
flat	RUNBLUD1  	range	RUNBLUD3  	tics 8

WARP2 flat WSKULLIE
WARP2 flat WSKULLIQ

texture	BFALL1  	range	BFALL3  	tics 8
texture	SFALL1  	range	SFALL3  	tics 8
texture	WFALL1  	range	WFALL3  	tics 8
texture	FIREMAG1  	range	FIREMAG3  	tics 8

//texture	SP_FACE1	range	SP_FACEC  	tics 12
//texture	FIREMAG1  	range	FIREMAG4  	tics 6
//texture	FIREWAL1  	range	FIREWAL4  	tics 6
//texture	FIRELAVA  	range	FIRELAV5  	tics 8
texture	FIREBLU1  	range	FIREBLU4  	tics 8
texture	BLODGR1 	range	BLODGR3 	tics 8
texture	BLODRIP1	range	BLODRIP4	tics 8
texture	SLUDRIP1	range	SLUDRIP4	tics 8
texture	MUKDRIP1	range	MUKDRIP4	tics 8
texture	GSTFONT1	range	GSTFONT3	tics 8
//texture	SILVER2  	range	SILVER2D  	tics 4

texture ORO1
    pic ORO1 tics 4
    pic ORO2 tics 4
	
//Got to animate this one manually to avoid conflicts
//with another used texture in DOOM2 (SP_FACE2)
texture SP_FACE1
    allowdecals
    pic SP_FACE1 tics 6
    pic SP_FACEB tics 6
    pic SP_FACEC tics 6

//Same concept
texture SILVER2
    allowdecals
    pic SILVER2 tics 4
    pic SILVER2B tics 4
    pic SILVER2C tics 4
    pic SILVER2D tics 4

//Give overwrite animations to some used texture animation frames
//For times when a new animated texture used less frames than
//the DOOM texture it is replacing.

texture BLODGR4
    allowdecals
    pic BLODGR1 tics 8
    pic BLODGR2 tics 8
    pic BLODGR3 tics 8

texture BLODRIP4
    allowdecals
    pic BLODRIP1 tics 8
    pic BLODRIP2 tics 8
    pic BLODRIP3 tics 8

flat SLIME01
    pic SLIME04 tics 8
    pic SLIME03 tics 8
    pic SLIME02 tics 8

texture SFALL4
    pic SFALL1 tics 8
    pic SFALL2 tics 8
    pic SFALL3 tics 8

texture BFALL4
    pic BFALL1 tics 8
    pic BFALL2 tics 8
    pic BFALL3 tics 8

texture WFALL4
    pic WFALL1 tics 8
    pic WFALL2 tics 8
    pic WFALL3 tics 8
/*
texture	DBRAIN1 	range	DBRAIN4 	tics 8
texture	ROCKRED1	range	ROCKRED3	tics 8 allowdecals
*/

//switch doom 1 SW1BRCOM on pic SW2BRCOM tics 0
//switch heretic SW1OFF on pic SW1ON tics 0
//switch strife GLASS01 on sound world/glassbreak pic GLASS02 tics 0

//==============================================================================
//==============================================================================
//==============================================================================

// Switches

//==============================================================================
//==============================================================================
//==============================================================================

//----------------------
switch SW1BRN2 on pic SW2BRN2 tics 0
switch SW2BRN2 off pic SW1BRN2 tics 0
switch SW1TEK on pic SW2TEK tics 0
switch SW2TEK off pic SW1TEK tics 0
switch SW1GRAY1 on pic SW2GRAY1 tics 0
switch SW2GRAY1 off pic SW1GRAY1 tics 0
switch SW1BRNGN on pic SW2BRNGN tics 0
switch SW2BRNGN off pic SW1BRNGN tics 0
switch SW1MOD1 on pic SW2MOD1 tics 0
switch SW2MOD1 off pic SW1MOD1 tics 0
switch SW1METAL on pic SW2METAL tics 0
switch SW2METAL off pic SW1METAL tics 0
switch SW1VINE on pic SW2VINE tics 0
switch SW2VINE off pic SW1VINE tics 0

//----------------------
switch SW1BRCOM on sound Switch2 pic SW2BRCOM tics 0
switch SW2BRCOM off sound Switch2 pic SW1BRCOM tics 0
switch SW1COMM on sound Switch2 pic SW2COMM tics 0
switch SW2COMM off sound Switch2 pic SW1COMM tics 0
switch SW1DIRT on sound Switch2 pic SW2DIRT tics 0
switch SW2DIRT off sound Switch2 pic SW1DIRT tics 0
switch SW1MET2 on sound Switch2 pic SW2MET2 tics 0
switch SW2MET2 off sound Switch2 pic SW1MET2 tics 0
switch SW1STON1 on sound Switch2 pic SW2STON1 tics 0
switch SW2STON1 off sound Switch2 pic SW1STON1 tics 0
switch SW1STONE on sound Switch2 pic SW2STONE tics 0
switch SW2STONE off sound Switch2 pic SW1STONE tics 0
switch SW1BRIK on sound Switch2 pic SW2BRIK tics 0
switch SW2BRIK off sound Switch2 pic SW1BRIK tics 0
switch SW1STRTN on sound Switch2 pic SW2STRTN tics 0
switch SW2STRTN off sound Switch2 pic SW1STRTN tics 0

//----------------------
switch SW1SKIN on sound Switch2 pic SW2SKIN tics 0
switch SW2SKIN off sound Switch2 pic SW1SKIN tics 0

//----------------------
switch SW1SKULL on pic SW2SKULL tics 0
switch SW2SKULL off pic SW1SKULL tics 0

//----------------------
switch SW1COMP on pic SW2COMP tics 0
switch SW2COMP off pic SW1COMP tics 0
switch SW1CMT on pic SW2CMT tics 0
switch SW2CMT off pic SW1CMT tics 0
switch SW1STON6 on pic SW2STON6 tics 0
switch SW2STON6 off pic SW1STON6 tics 0
switch SW1GRAY on pic SW2GRAY tics 0
switch SW2GRAY off pic SW1GRAY tics 0
switch SW1BRN1 on pic SW2BRN1 tics 0
switch SW2BRN1 off pic SW1BRN1 tics 0
switch SW1BROWN on pic SW2BROWN tics 0
switch SW2BROWN off pic SW1BROWN tics 0
switch SW1PIPE on pic SW2PIPE tics 0
switch SW2PIPE off pic SW1PIPE tics 0
switch SW1STARG on pic SW2STARG tics 0
switch SW2STARG off pic SW1STARG tics 0

//----------------------
switch SW1EXIT on sound Switch2 pic SW2EXIT tics 0
switch SW2EXIT off sound Switch2 pic SW1EXIT tics 0

/*
switch SW1EXIT
on sound SwitchChain 
pic SW3EXIT tics 1
pic SW4EXIT tics 1
pic SW5EXIT tics 1
pic SW2EXIT  tics 1
off sound SwitchChain
pic SW5EXIT tics 1
pic SW4EXIT tics 1
pic SW3EXIT tics 1
pic SW1EXIT  tics 1
*/

//----------------------
switch SW1SLAD on pic SW2SLAD tics 0
switch SW2SLAD off pic SW1SLAD tics 0
switch SW1STON2 on pic SW2STON2 tics 0
switch SW2STON2 off pic SW1STON2 tics 0

//----------------------
switch SW1BLUE on sound Switch2 pic SW2BLUE tics 0
switch SW2BLUE off sound Switch2 pic SW1BLUE tics 0
switch SW1ZIM on sound Switch2 pic SW2ZIM tics 0
switch SW2ZIM off sound Switch2 pic SW1ZIM tics 0
switch SW1ROCK on sound Switch2 pic SW2ROCK tics 0
switch SW2ROCK off sound Switch2 pic SW1ROCK tics 0
switch SW1HOT on sound Switch2 pic SW2HOT tics 0
switch SW2HOT off sound Switch2 pic SW1HOT tics 0
switch SW1GSTON on sound Switch2 pic SW2GSTON tics 0
switch SW2GSTON off sound Switch2 pic SW1GSTON tics 0
switch SW1WOOD on sound Switch2 pic SW2WOOD tics 0
switch SW2WOOD off sound Switch2 pic SW1WOOD tics 0
switch SW1MARB on sound Switch2 pic SW2MARB tics 0
switch SW2MARB off sound Switch2 pic SW1MARB tics 0
switch SW1PANEL on sound Switch2 pic SW2PANEL tics 0
switch SW2PANEL off sound Switch2 pic SW1PANEL tics 0

//----------------------
switch SW1SATYR on sound Switch2 pic SW2SATYR tics 0
switch SW2SATYR off sound Switch2 pic SW1SATYR tics 0
switch SW1GARG on sound Switch2 pic SW2GARG tics 0
switch SW2GARG off sound Switch2 pic SW1GARG tics 0
switch SW1LION on sound Switch2 pic SW2LION tics 0
switch SW2LION off sound Switch2 pic SW1LION tics 0

//----------------------
switch SW1WDMET on sound Switch2 pic SW2WDMET tics 0
switch SW2WDMET off sound Switch2 pic SW1WDMET tics 0

//---------newthemedswitches-------------
switch SW1CITY on sound Switch2 pic SW2CITY tics 0
switch SW1CITY2 on sound Switch2 pic SW2CITY2 tics 0
switch SW1CITY3 on sound Switch2 pic SW2CITY3 tics 0
switch SW1CITY4 on sound Switch2 pic SW2CITY4 tics 0
switch SW1CITY5 on sound Switch2 pic SW2CITY5 tics 0
switch SW1CITY6 on sound Switch2 pic SW2CITY6 tics 0

switch SW1MAW on sound Switch2 pic SW2MAW tics 0
switch SW1MAW2 on sound Switch2 pic SW2MAW2 tics 0
switch SW1MAW3 on sound Switch2 pic SW2MAW3 tics 0
switch SW1MAW4 on sound Switch2 pic SW2MAW4 tics 0
switch SW1MAW5 on sound Switch2 pic SW2MAW5 tics 0
switch SW1MAW6 on sound Switch2 pic SW2MAW6 tics 0

switch SW1DOME on sound Switch2 pic SW2DOME tics 0
switch SW1DOME2 on sound Switch2 pic SW2DOME2 tics 0
switch SW1DOME3 on sound Switch2 pic SW2DOME3 tics 0
switch SW1DOME4 on sound Switch2 pic SW2DOME4 tics 0
switch SW1DOME5 on sound Switch2 pic SW2DOME5 tics 0
switch SW1DOME6 on sound Switch2 pic SW2DOME6 tics 0

switch SW1CRYPT on sound Switch2 pic SW2CRYPT tics 0
switch SW1CRYP2 on sound Switch2 pic SW2CRYP2 tics 0
switch SW1CRYP3 on sound Switch2 pic SW2CRYP3 tics 0
switch SW1CRYP4 on sound Switch2 pic SW2CRYP4 tics 0
switch SW1CRYP5 on sound Switch2 pic SW2CRYP5 tics 0
switch SW1CRYP6 on sound Switch2 pic SW2CRYP6 tics 0

switch SW1TOMB on sound Switch2 pic SW2TOMB tics 0

switch SW1MANOR on sound Switch2 pic SW2MANOR tics 0
switch SW1MANO2 on sound Switch2 pic SW2MANO2 tics 0
switch SW1MANO3 on sound Switch2 pic SW2MANO3 tics 0
switch SW1MANO4 on sound Switch2 pic SW2MANO4 tics 0
switch SW1MANO5 on sound Switch2 pic SW2MANO5 tics 0
switch SW1MANO6 on sound Switch2 pic SW2MANO6 tics 0

]]

function HEATHEN_RESOURCE_PACK.merge_tables()
  gui.printf("--== Doom to Heretic Resource Pack Activated ==--\n\n")

  table.deep_merge(GAME.LIQUIDS, HEATHEN_RESOURCE_PACK.LIQUIDS, 2)
  table.deep_merge(GAME.MATERIALS, HEATHEN_RESOURCE_PACK.MATERIALS, 2)
  table.deep_merge(GAME.THEMES, HEATHEN_RESOURCE_PACK.THEMES, 2)
  table.deep_merge(GAME.ROOM_THEMES, HEATHEN_RESOURCE_PACK.ROOM_THEMES, 2)
  table.deep_merge(GAME.ENTITIES, HEATHEN_RESOURCE_PACK.ENTITIES, 2)

  PARAM.brightmaps = ScriptMan_combine_script(PARAM.brightmaps, HEATHEN_RESOURCE_PACK.BRIGHTMAPS)
  SCRIPTS.animdefs = ScriptMan_combine_script(SCRIPTS.animdefs, HEATHEN_RESOURCE_PACK.ANIMDEFS)
  SCRIPTS.terrain = ScriptMan_combine_script(SCRIPTS.terrain, HEATHEN_RESOURCE_PACK.TERRAIN)
  SCRIPTS.decorate = ScriptMan_combine_script(SCRIPTS.decorate, HEATHEN_RESOURCE_PACK.DECORATE)
end

function HEATHEN_RESOURCE_PACK.put_the_texture_wad_in()
  local wad_file = "games/heretic/data/Heretic_Textures.wad"

  gui.wad_merge_sections(wad_file)
end
----------------------------------------------------------------

OB_MODULES["HEATHEN_RESOURCE_PACK"] =
{

  name = "HEATHEN_RESOURCE_PACK",

  label = _("ZDoom: Heathen's Maze Heretic Expansion"),

  side = "left",
  priority = 94,

  port = "zdoom",

  game = "heretic",

  hooks =
  {
    setup = HEATHEN_RESOURCE_PACK.merge_tables,
    all_done = HEATHEN_RESOURCE_PACK.put_the_texture_wad_in
  },
}
